<?php



namespace App\Http\Controllers\AdminAuth;



use Illuminate\Http\Request;

use App\Http\Controllers\Controller;

use Illuminate\Support\Facades\Session;

use Yajra\Datatables\Datatables;
use Exception;
use App\Model\Booking;
use App\Model\Sitesetting;
use Mail;
// use PDF;

use Meneses\LaravelMpdf\Facades\LaravelMpdf as PDF;





class BookingController extends Controller

{

    private $data = array(

        'route' => 'admin.booking.',

        'title' => 'Booking',

        'menu' => 'booking',

        'submenu' => '',

    );

	

    public function __construct()

    {

       //$this->middleware('auth');

    }

	

    private function _validate($request, $id = null)

    {

        $this->validate($request, [

			//'image' => (!empty($id)?'mimes:jpeg,png,jpg,gif,svg|max:2048':'required|mimes:jpeg,png,jpg,gif,svg|max:2048'),

        ]);

    }



    public function index(Request $request)

    {

        if ($request->ajax()) {

            $records = Booking::with(['flight'])->whereNotNull('bookings.razorpay_payment_id')->select('bookings.*')->orderBy('bookings.id','desc');

			 

            return Datatables::of($records)

			    ->addIndexColumn()

				->editColumn('created_at', function ($record) {

				    return $record->created_at->format('d-m-Y');

			    })

			   ->editColumn('date', function ($record) {

				   return $record->date ? date('d-m-Y',strtotime($record->date)) : null;

			    })
				->editColumn('address', function ($record) {
					
					if(!$record->address){
						
							return '';
					}
					try{
						$unserializedArray_address = unserialize($record->address);
					}catch(Exception $e){
						return '1. '.$record->address;
					}
					
					
					$address = '';
					
					if(!empty($unserializedArray_address)){
						
						foreach ($unserializedArray_address as $key => $value) {
							$address .= ($key + 1) . '. ' . $value .'<br>';
						}
							
					} 

				

					return $address;
				})

				
				->editColumn('location', function ($record) {
					
					if(!$record->location){
						
							return '';
					}
					try{
						$unserializedArray_address = unserialize($record->location);
					}catch(Exception $e){
						return '1. '.$record->location;
					}
					
					
					$location = '';
					
					if(!empty($unserializedArray_address)){
						
						foreach ($unserializedArray_address as $key => $value) {
							$location .= ($key + 1) . '. ' . $value .'<br>';
						}
							
					} 

				

					return $location;
				})


                ->addColumn('status', function ($record) {
                    if($record->email){
                        return '<input id="toggle-demo" value="'.$record->id.'" class="chk_status" data-toggle="toggle" data-on="Complete" data-off="Pending" data-size="small" data-onstyle="success"  type="checkbox" '.($record->status == "Complete"?" checked":"" ).' >';


                    }else{
                        return '';
                    }

                   
                })

                ->addColumn('action', function ($record) {

                    return '<a href="'.route($this->data['route'].'show',['id' =>$record->id]).'" class="btn btn-primary btn-sm" title="" data-toggle="tooltip" data-original-title="View"><i class="fa fa-eye-slash"></i></a>'.

                    '&nbsp;<a class="btn btn-success btn-sm" href="'.url('admin/bookingbill',$record->id).'"><i class="fa fa-file-pdf-o"></i></a>'.

                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';

                })

                ->rawColumns(['status','action','address','location'])

                ->make(true);

        }



        //$this->data['records'] = Gallery::all();

        return view('admin.booking.index',$this->data);

    }

    
    public function bookinglist(Request $request)
    {
        
        
		// abort_unless(Auth::guard('admin')->user()->hasAnyPermission(['consumption add and view']), 403);
        if ($request->ajax()) {

            $record = Booking::with(['flight']);

            $flight_id= $request->get('flight_id');
			$cab_type= $request->get('cab_type');
			$route_id= $request->get('route_id');
			$voucher_name= $request->get('voucher_name');

            $booking_start_date = null;
            $booking_end_date = null;
            $trip_date = null;
			if(!empty($request->booking_start_date)){
				$booking_start_date=date("Y-m-d", strtotime($request->booking_start_date));
			
			}
			if(!empty($request->booking_end_date)){
				$booking_end_date=date("Y-m-d", strtotime($request->booking_end_date));
			
			}
		
			
			if(!empty($request->trip_date)){
				$trip_date=date("Y-m-d", strtotime($request->trip_date));
			}
         
 
           
             
               if(!empty($flight_id)){
                $record->where('bookings.flight_id',$flight_id);
             }
             
             if(!empty($cab_type)){
                $record->where('bookings.cab_type',$cab_type);
             }
                if(!empty($route_id)){
                $record->where('bookings.route_id',$route_id);
             }
			 /*
             if (!empty($booking_date)) {
                $record->whereDate('bookings.created_at', $booking_date);
			 }  */
			 
			 if(!empty($booking_start_date)){
				if(!empty($request->booking_end_date)){
					$record->whereDate('bookings.created_at','>=',date("Y-m-d", strtotime($booking_start_date)));
				}
				else{
					 $record->whereDate('bookings.created_at',date("Y-m-d", strtotime($booking_start_date)));
					
				}
			}
			if(!empty($booking_end_date)){
				$record->whereDate('bookings.created_at','<=',date("Y-m-d", strtotime($booking_end_date)));
			}
			
		 
			 
			if (!empty($trip_date)) {
				$record->where('bookings.date', $trip_date);
			}
            if (!empty($voucher_name)) {
				$record->where('bookings.voucher_name', '=', $voucher_name);
			}

            $record = $record->select('bookings.*')->whereNotNull('bookings.razorpay_payment_id')->orderBy('bookings.id','desc');  

           
            return Datatables::of($record)

			    ->addIndexColumn()

				->editColumn('created_at', function ($record) {

				    return $record->created_at->format('d-m-Y');

			    })

			   ->editColumn('date', function ($record) {

				   return $record->date ? date('d-m-Y',strtotime($record->date)) : null;

			    })
				->editColumn('address', function ($record) {
					
					if(!$record->address){
						
							return '';
					}
					try{
						$unserializedArray_address = unserialize($record->address);
					}catch(Exception $e){
						return '1. '.$record->address;
					}
					
					
					$address = '';
					
					if(!empty($unserializedArray_address)){
						
						foreach ($unserializedArray_address as $key => $value) {
							$address .= ($key + 1) . '. ' . $value .'<br>';
						}
							
					} 

				

					return $address;
				})

				
				->editColumn('location', function ($record) {
					
					if(!$record->location){
						
							return '';
					}
					try{
						$unserializedArray_address = unserialize($record->location);
					}catch(Exception $e){
						return '1. '.$record->location;
					}
					
					
					$location = '';
					
					if(!empty($unserializedArray_address)){
						
						foreach ($unserializedArray_address as $key => $value) {
							$location .= ($key + 1) . '. ' . $value .'<br>';
						}
							
					} 

				

					return $location;
				})


                ->addColumn('status', function ($record) {
                    if($record->email){
                        return '<input id="toggle-demo" value="'.$record->id.'" class="chk_status" data-toggle="toggle" data-on="Complete" data-off="Pending" data-size="small" data-onstyle="success"  type="checkbox" '.($record->status == "Complete"?" checked":"" ).' >';


                    }else{
                        return '';
                    }

                   
                })

                ->addColumn('action', function ($record) {

                    return '<a href="'.route($this->data['route'].'show',['id' =>$record->id]).'" class="btn btn-primary btn-sm" title="" data-toggle="tooltip" data-original-title="View"><i class="fa fa-eye-slash"></i></a>'.

                    '&nbsp;<a class="btn btn-success btn-sm" href="'.url('admin/bookingbill',$record->id).'"><i class="fa fa-file-pdf-o"></i></a>'.

                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';

                })

                ->rawColumns(['status','action','address','location'])

                ->make(true);


        }

		
			
        return view('admin.booking.filter',$this->data);

    }



    public function create()

    {

		return view('admin.booking.create',$this->data);

    }





    public function store(Request $request)

    {

        $this->_validate($request);

		$input = $request->all();


        $record =  new Booking($input);

		$record->save();

        Session::flash('success', $this->data['title'].' inserted successfully.');

        return redirect()->route($this->data['route'].'index');

    }





    public function show($id)

    {

        $this->data['record'] = Booking::with(['flight'])->findOrFail($id);

		

        return view('admin.booking.show',$this->data);

    }





    public function edit($id)

    {

        $this->data['record'] = Booking::findOrFail($id);

		

        return view('admin.booking.create',$this->data);

    }





    public function update(Request $request, $id)

    {

        $record = Booking::findOrFail($id);

        /* Change Status Block */

        if ($request->ajax()) {
            if($record->email)
            {

                $booking =  Booking::findOrFail($id);

                $sitesetting = Sitesetting::first();
          
          
                  $pdf = PDF::loadView('admin.booking.booking_pdf',compact('booking','sitesetting'),[],[
                      'margin_left'          => 5,
                      'margin_right'         => 5,
                      'margin_top'           => 5,
                      'margin_bottom'        => 5, 
                      'title' => '121312'
                  ]);
    
                  $pdfPath = public_path('pdf/temporary_pdf'.rand(1,99999).'.pdf');
                  $pdf->save($pdfPath);
    
    
    
    
                    $data=array('name'=>$record->name,'email'=>$record->email,'subject'=> 'Booking Invoice');
    
                    Mail::send('user.email.contact',$data, function ($m) use ($data,$pdfPath) {
                        $m->from('babatravels.gujarat@gmail.com');
                        $m->to($data['email'], $data['name'])->subject($data['subject']);
                        $m->setBody(
                        "Name: ".$data['name']."<br>
                        Email: ".$data['email']."<br>"
                    
                        , 'text/html');
    
                        $m->attach($pdfPath, [
                            'as'   => 'invoice.pdf',
                            'mime' => 'application/pdf',
                        ]);
                    });	
                

                    

            }

           
            $record->update($request->all());

            return \Illuminate\Support\Facades\Response::json(['result' => 'success']);

        }

		$this->_validate($request, $id);

        $input = $request->all();

		

		$input['set_home_page'] = isset($request['set_home_page'])?$request['set_home_page']:'no';

        $input['image'] = $this->uploadFile($request, $record, 'image', 'news', TRUE, 650);

        if (empty($input['image'])) {

            unset($input['image']);

        }

        $record->update($input);



        Session::flash('info', $this->data['title'].' updated successfully.');

        return redirect()->route($this->data['route'].'index');

    }





    public function destroy($id)

    {

        $record = Booking::findOrFail($id);


        $record->delete();

        return \Illuminate\Support\Facades\Response::json(['result'=>'success','message'=>'Deleted Data successfully!']);

    }

    public function pdf(){
        $pdf = PDF::loadView('admin.booking.booking_pdf',[],[
            'margin_left'          => 5,
            'margin_right'         => 5,
            'margin_top'           => 40,
            'margin_bottom'        => 5, 
            'title' => '121312'
        ]);

		return  $pdf->stream(str_replace('/','-','122312').'.pdf');

    }

    public function bookingbill($id){ 

      $booking =  Booking::findOrFail($id);

      $sitesetting = Sitesetting::first();


        $pdf = PDF::loadView('admin.booking.booking_pdf',compact('booking','sitesetting'),[],[
            'margin_left'          => 5,
            'margin_right'         => 5,
            'margin_top'           => 5,
            'margin_bottom'        => 5, 
            'title' => '121312'
        ]);

        // return view('admin.booking.booking_pdf',$this->data);

		return  $pdf->stream(str_replace('/','-','122312').'.pdf');



    }



    public function bookingexcel(Request $request)
    {
        $record = Booking::with(['flight']);

        $flight_id= $request->get('flight_id');
        $cab_type= $request->get('cab_type');
        $route_id= $request->get('route_id');
        $voucher_name= $request->get('voucher_name');

        $booking_start_date = null;
        $booking_end_date = null;
        $trip_date = null;
        if(!empty($request->booking_start_date)){
            $booking_start_date=date("Y-m-d", strtotime($request->booking_start_date));
        
        }
        if(!empty($request->booking_end_date)){
            $booking_end_date=date("Y-m-d", strtotime($request->booking_end_date));
        
        }
    
        
        if(!empty($request->trip_date)){
            $trip_date=date("Y-m-d", strtotime($request->trip_date));
        }
     

           if(!empty($flight_id)){
            $record->where('bookings.flight_id',$flight_id);
         }
         
         if(!empty($cab_type)){
            $record->where('bookings.cab_type',$cab_type);
         }
            if(!empty($route_id)){
            $record->where('bookings.route_id',$route_id);
         }
         /*
         if (!empty($booking_date)) {
            $record->whereDate('bookings.created_at', $booking_date);
         }  */
         
         if(!empty($booking_start_date)){
            if(!empty($request->booking_end_date)){
                $record->whereDate('bookings.created_at','>=',date("Y-m-d", strtotime($booking_start_date)));
            }
            else{
                 $record->whereDate('bookings.created_at',date("Y-m-d", strtotime($booking_start_date)));
                
            }
        }
        if(!empty($booking_end_date)){
            $record->whereDate('bookings.created_at','<=',date("Y-m-d", strtotime($booking_end_date)));
        }
        
     
         
        if (!empty($trip_date)) {
            $record->where('bookings.date', $trip_date);
        }
        if (!empty($voucher_name)) {
            $record->where('bookings.voucher_name', '=', $voucher_name);
        }

        $record = $record->select('bookings.*')->orderBy('bookings.id','desc');  


        $this->data['record'] = $record->get();
        return view('admin.booking.excel',$this->data);
    }	


    public function pdfbooking(Request $request){ 

        $record = Booking::with(['flight']);

        $flight_id= $request->get('flight_id');
        $cab_type= $request->get('cab_type');
        $route_id= $request->get('route_id');
        $voucher_name= $request->get('voucher_name');

        $booking_start_date = null;
        $booking_end_date = null;
        $trip_date = null;
        if(!empty($request->booking_start_date)){
            $booking_start_date=date("Y-m-d", strtotime($request->booking_start_date));
        
        }
        if(!empty($request->booking_end_date)){
            $booking_end_date=date("Y-m-d", strtotime($request->booking_end_date));
        
        }
    
        
        if(!empty($request->trip_date)){
            $trip_date=date("Y-m-d", strtotime($request->trip_date));
        }
     

       
         
           if(!empty($flight_id)){
            $record->where('bookings.flight_id',$flight_id);
         }
         
         if(!empty($cab_type)){
            $record->where('bookings.cab_type',$cab_type);
         }
            if(!empty($route_id)){
            $record->where('bookings.route_id',$route_id);
         }
         /*
         if (!empty($booking_date)) {
            $record->whereDate('bookings.created_at', $booking_date);
         }  */
         
         if(!empty($booking_start_date)){
            if(!empty($request->booking_end_date)){
                $record->whereDate('bookings.created_at','>=',date("Y-m-d", strtotime($booking_start_date)));
            }
            else{
                 $record->whereDate('bookings.created_at',date("Y-m-d", strtotime($booking_start_date)));
                
            }
        }
        if(!empty($booking_end_date)){
            $record->whereDate('bookings.created_at','<=',date("Y-m-d", strtotime($booking_end_date)));
        }
        
     
         
        if (!empty($trip_date)) {
            $record->where('bookings.date', $trip_date);
        }
        if (!empty($voucher_name)) {
            $record->where('bookings.voucher_name', '=', $voucher_name);
        }

        $record = $record->select('bookings.*')->orderBy('bookings.id','desc');  


        $this->data['record'] = $record->get();


  
          $pdf = PDF::loadView('admin.booking.pdfreport',compact('booking'),[],[
              'margin_left'          => 5,
              'margin_right'         => 5,
              'margin_top'           => 5,
              'margin_bottom'        => 5, 
              'title' => '121312'
          ]);
  
          // return view('admin.booking.booking_pdf',$this->data);
  
          return  $pdf->stream(str_replace('/','-','122312').'.pdf');
  
  
  
      }







}

