<?php

namespace App\Http\Controllers\AdminAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use App\Model\Flight;

class FlightController extends Controller
{
    private $data = array(
        'route' => 'admin.flight.',
        'title' => 'Flight',
        'menu' => 'flight',
        'submenu' => '',
    );
	
    public function __construct()
    {
       //$this->middleware('auth');
    }
	
    private function _validate($request, $id = null)
    {
        $this->validate($request, [
			//'image' => (!empty($id)?'mimes:jpeg,png,jpg,gif,svg|max:2048':'required|mimes:jpeg,png,jpg,gif,svg|max:2048'),
        ]);
    }

    public function index(Request $request)
    {
        
        if ($request->ajax()) {
            $records = Flight::select('*')->orderBy('sequence','ASC');
			 
            return Datatables::of($records)
			    ->addIndexColumn()
				->editColumn('created_at', function ($record) {
				    return $record->created_at->format('d-m-Y');
			    })
                ->editColumn('sequence', function ($record) {
                    return '<input style="width:100px" type="text" class="form-control txt_inline_edit sequence_update inline_update" name="" value="'.$record['sequence'].'" row_id="'.$record['id'].'" field="sequence" ajax_url="'. route($this->data['route'] . 'update',$record['id']).'" />';
                })
				->editColumn('name', function ($record) {
                        return '<input style="width:300px" type="text" class="form-control txt_inline_edit inline_update" name="" value="'.$record['name'].'" row_id="'.$record['id'].'" field="name" ajax_url="'. route($this->data['route'] . 'update',$record['id']).'" />';
				})
				
                ->addColumn('status', function ($record) {
                    return '<input id="toggle-demo" value="'.$record->id.'" class="chk_status" data-toggle="toggle" data-on="Active" data-off="Inactive" data-size="small" data-onstyle="success"  type="checkbox" '.($record->status == "Active"?" checked":"" ).' >';
                })
                ->addColumn('action', function ($record) {
                    return '<a href="'.route($this->data['route'].'show',['id' =>$record->id]).'" class="btn btn-primary btn-sm" title="" data-toggle="tooltip" data-original-title="View"><i class="fa fa-eye-slash"></i></a>'.
                          '&nbsp;<a href="'.route($this->data['route'].'edit',['id' =>$record->id]).'" class="btn btn-info btn-sm" title="" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-pencil"></i></a>'.
                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';
                })
                ->rawColumns(['status','action','name','sequence'])
                ->make(true);
        }

        
        return view('admin.flight.index',$this->data);

    }

    public function create()
    {
		return view('admin.flight.create',$this->data);
    }


    public function store(Request $request)
    {
        $this->_validate($request);
		$input = $request->all();
		
        $record =  new Flight($input);
		$record->save();
        Session::flash('success', $this->data['title'].' inserted successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function show($id)
    {
        $this->data['record'] = Flight::findOrFail($id);
		
        return view('admin.flight.show',$this->data);
    }


    public function edit($id)
    {
        $this->data['record'] = Flight::findOrFail($id);
		
        return view('admin.flight.create',$this->data);
    }


    public function update(Request $request, $id)
    {
        $record = Flight::findOrFail($id);
    
        if ($request->ajax()) {
            $record->update($request->all());
            return \Illuminate\Support\Facades\Response::json(['result' => 'success']);
        }
		$this->_validate($request, $id);
        $input = $request->all();
		
       
        $record->update($input);

        Session::flash('info', $this->data['title'].' updated successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function destroy($id)
    {
        $record = Flight::findOrFail($id);
		
        $record->delete();
        return \Illuminate\Support\Facades\Response::json(['result'=>'success','message'=>'Deleted Data successfully!']);
    }
}
