<?php

namespace App\Http\Controllers\AdminAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use App\Model\Groupofcompany;

class GroupofcompanyController extends Controller
{
    private $data = array(
        'route' => 'admin.groupofcompany.',
        'title' => 'Groupofcompany',
        'menu' => 'groupofcompany',
        'submenu' => '',
    );
	
    public function __construct()
    {
       //$this->middleware('auth');
    }
	
    private function _validate($request, $id = null)
    {
        $this->validate($request, [
			//'image' => (!empty($id)?'mimes:jpeg,png,jpg,gif,svg|max:2048':'required|mimes:jpeg,png,jpg,gif,svg|max:2048'),
        ]);
    }

    public function index(Request $request)
    {
        if ($request->ajax()) {
            $records = Groupofcompany::select('groupofcompanies.*');			 
            return Datatables::of($records)
			    ->addIndexColumn()
				->addColumn('image', function ($record) {
					if(!empty($record['image_url'])){
						return '<a href= "'. url($record->image_url).'" target="_blank" ><img src="'.$record->image_url.'" width="100" ></a>';
					}else{
						return '';
					}
				})
				->editColumn('name', function ($record) {
                        return '<input style="width:100px" type="text" class="form-control txt_inline_edit inline_update" name="" value="'.$record['name'].'" row_id="'.$record['id'].'" field="name" ajax_url="'. route($this->data['route'] . 'update',$record['id']).'" />';
				})
				->addColumn('action', function ($record) {
                    return /*'<a href="'.route($this->data['route'].'show',['id' =>$record->id]).'" class="btn btn-primary btn-sm" title="" data-toggle="tooltip" data-original-title="View"><i class="fa fa-eye-slash"></i></a>'.*/
                          '&nbsp;<a href="'.route($this->data['route'].'edit',['id' =>$record->id]).'" class="btn btn-info btn-sm" title="" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-pencil"></i></a>'.
                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';
                })
                ->rawColumns(['action','image','name'])
                ->make(true);
        }
		return view('admin.groupofcompany.index',$this->data);
    }

    public function create()
    {
		return view('admin.groupofcompany.create',$this->data);
    }


    public function store(Request $request)
    {
        $this->_validate($request);
		$input = $request->all();
		$input['image'] = $this->uploadFile($request, null, 'image', 'groupofcompany', false);
        $record =  new Groupofcompany($input);
		$record->save();
        Session::flash('success', $this->data['title'].' inserted successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function show($id)
    {
        $this->data['record'] = Groupofcompany::findOrFail($id);
		
        return view('admin.groupofcompany.show',$this->data);
    }


    public function edit($id)
    {
        $this->data['record'] = Groupofcompany::findOrFail($id);
		
        return view('admin.groupofcompany.create',$this->data);
    }


    public function update(Request $request, $id)
    {
        $record = Groupofcompany::findOrFail($id);
        /* Change Status Block */
        if ($request->ajax()) {
            $record->update($request->all());
            return \Illuminate\Support\Facades\Response::json(['result' => 'success']);
        }
		$this->_validate($request, $id);
        $input = $request->all();
		
        $input['image'] = $this->uploadFile($request, $record, 'image', 'groupofcompany', false);
        if (empty($input['image'])) {
            unset($input['image']);
        }
        $record->update($input);

        Session::flash('info', $this->data['title'].' updated successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function destroy($id)
    {
        $record = Groupofcompany::findOrFail($id);
		$this->deleteFile($record,'image',true);
        $record->delete();
        return \Illuminate\Support\Facades\Response::json(['result'=>'success','message'=>'Deleted Data successfully!']);
    }
}
