<?php

namespace App\Http\Controllers\AdminAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use App\Model\Pincode;

class PincodeController extends Controller
{
    private $data = array(
        'route' => 'admin.pincode.',
        'title' => 'Pincode',
        'menu' => 'pincode',
        'submenu' => '',
    );
	
    public function __construct()
    {
       //$this->middleware('auth');
    }
	
    private function _validate($request, $id = null)
    {
        $this->validate($request, [
			//'image' => (!empty($id)?'mimes:jpeg,png,jpg,gif,svg|max:2048':'required|mimes:jpeg,png,jpg,gif,svg|max:2048'),
        ]);
    }

    public function index(Request $request)
    {
        if ($request->ajax()) {
            $records = Pincode::select('pincodes.*');
			 
            return Datatables::of($records)
			    ->addIndexColumn()
				->editColumn('created_at', function ($record) {
				    return $record->created_at->format('d-m-Y');
			    })
			  
				
				
               
                ->addColumn('action', function ($record) {
                    return 
                          '&nbsp;<a href="'.route($this->data['route'].'edit',['id' =>$record->id]).'" class="btn btn-info btn-sm" title="" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-pencil"></i></a>'.
                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        return view('admin.pincode.index',$this->data);

    }

    public function create()
    {
		return view('admin.pincode.create',$this->data);
    }


    public function store(Request $request)
    {
        $this->_validate($request);
		$input = $request->all();
        $record =  new Pincode($input);
		$record->save();
        Session::flash('success', $this->data['title'].' inserted successfully.');
        return redirect('admin/pincode/create');
    }


    public function show($id)
    {
        $this->data['record'] = Pincode::findOrFail($id);
		
        return view('admin.pincode.show',$this->data);
    }


    public function edit($id)
    {
        $this->data['record'] = Pincode::findOrFail($id);
		
        return view('admin.pincode.create',$this->data);
    }


    public function update(Request $request, $id)
    {
        $record = Pincode::findOrFail($id);
        /* Change Status Block */
        if ($request->ajax()) {
            $record->update($request->all());
            return \Illuminate\Support\Facades\Response::json(['result' => 'success']);
        }
		$this->_validate($request, $id);
        $input = $request->all();
		
      
        $record->update($input);

        Session::flash('info', $this->data['title'].' updated successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function destroy($id)
    {
        $record = Pincode::findOrFail($id);
        $record->delete();
        return \Illuminate\Support\Facades\Response::json(['result'=>'success','message'=>'Deleted Data successfully!']);
    }
}
