<?php

namespace App\Http\Controllers\AdminAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use App\Model\Product;
use App\Model\ProductImage;
use App\Model\Sitesetting;
use Illuminate\Support\Str;
use Image;

class ProductController extends Controller
{
    private $data = array(
        'route' => 'admin.product.',
        'title' => 'Product',
        'menu' => 'product',
        'submenu' => '',
    );
	
    public function __construct()
    {
       //$this->middleware('auth');
    }
	
    private function _validate($request, $id = null)
    {
        $this->validate($request, [
			//'image' => (!empty($id)?'mimes:jpeg,png,jpg,gif,svg|max:2048':'required|mimes:jpeg,png,jpg,gif,svg|max:2048'),
        ]);
    }

    public function index(Request $request)
    {
        if ($request->ajax()) {
            $records = Product::with('category')->select('products.*');
			 
            return Datatables::of($records)
			    ->addIndexColumn()
				->editColumn('created_at', function ($record) {
				    return $record->created_at->format('d-m-Y');
			    })
				->editColumn('name', function ($record) {
                        return '<input style="width:188px" type="text" class="form-control txt_inline_edit inline_update" name="" value="'.$record['name'].'" row_id="'.$record['id'].'" field="name" ajax_url="'. route($this->data['route'] . 'update',$record['id']).'" />';
				})
			    ->addColumn('image', function ($record) {
					if(!empty($record['image_url'])){
						return '<a href= "'. url($record->image_url).'" target="_blank" ><img src="'.$record->image_url.'" width="100" ></a>';
					}else{
						return '';
					}
				})
				->addColumn('image_size', function ($record) {
                        if (file_exists('./storage/' . $record['image'])) {
                            $original = !empty($record['image']) ? FileSizeConvert(filesize('./storage/' . $record['image'])) : '';
                        } else {
                            $original = 'Not found';
                        }
                        if (file_exists('./storage/thumb/' . $record['image'])) {
                            $thumb = !empty($record['image']) ? FileSizeConvert(filesize('./storage/thumb/' . $record['image'])) : '';
                        } else {
                            $thumb = 'Not found';
                        }
                        return 'O : ' . $original . '<br/>' . 'T : ' . $thumb;
                    })
                ->addColumn('status', function ($record) {
                    return '<input id="toggle-demo" value="'.$record->id.'" class="chk_status" data-toggle="toggle" data-on="Active" data-off="Inactive" data-size="small" data-onstyle="success"  type="checkbox" '.($record->status == "Active"?" checked":"" ).' >';
                })
                ->addColumn('action', function ($record) {
                    return '<a href="'.route($this->data['route'].'show',['id' =>$record->id]).'" class="btn btn-primary btn-sm" title="" data-toggle="tooltip" data-original-title="View"><i class="fa fa-eye-slash"></i></a>'.
                          '&nbsp;<a href="'.route($this->data['route'].'edit',['id' =>$record->id]).'" class="btn btn-info btn-sm" title="" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-pencil"></i></a>'.
                          '&nbsp;<button class="btn btn-danger btn-sm data-delete" data-id="'.$record->id.'" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i></button>';
                })
                ->rawColumns(['status','action','image','image_size','name'])
                ->make(true);
        }

        //$this->data['records'] = Product::all();
        return view('admin.product.index',$this->data);

    }

    public function create()
    {
		return view('admin.product.create',$this->data);
    }


    public function store(Request $request)
    {
        $this->_validate($request);
		$input = $request->all();
		 $input['image1'] = $this->uploadFile($request, null, 'image1', 'product', false);
        $record =  new Product($input);
		$record->save();
        if ($request->image != '') {
            $files = $request->image;
            foreach ($files as $file) {
                $record2 = new ProductImage;
                $filename = $this->uploadmultipleFile($file, null, 'image', 'product', false, 650);
                $record2->product_id = $record->id;
                $record2->image = $filename;
                $record2->save();
            }
        }
		

        Session::flash('success', $this->data['title'].' inserted successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function show($id)
    {
        $this->data['record'] = Product::findOrFail($id);
		  $this->data['image'] = ProductImage::select('image')->where('product_id', $id)->get();
		
        return view('admin.product.show',$this->data);
    }


    public function edit($id)
    {
        $this->data['record'] = Product::findOrFail($id);
		$this->data['image'] =Productimage::select('image','product_id')->where('product_id',$id)->get();
		
        return view('admin.product.create',$this->data);
    }


    public function update(Request $request, $id)
    {
        $record = Product::findOrFail($id);
        /* Change Status Block */
        if ($request->ajax()) {
            $record->update($request->all());
            return \Illuminate\Support\Facades\Response::json(['result' => 'success']);
        }
		
        $input = $request->all();
		
		
         $input['image1'] = $this->uploadFile($request, $record, 'image1', 'product', false);
        if (empty($input['image1'])) {
            unset($input['image1']);
        }
        $record->update($input);

        $del_record = ProductImage::where('product_id', $id)->get();
        foreach ($del_record as $key => $value) {
            $value->delete();
        }
        if ($request->image != '') {
            $files = $request->image;
            foreach ($files as $file) {
                $record2 = new ProductImage;
                $filename = $this->uploadmultipleFile($file, null, 'image', 'product', false, 650);
                $record2->product_id = $record->id;
                $record2->image = $filename;
                $record2->save();
            }
        }
        if ($request->old_image != '') {
            $files = $request->old_image;
            foreach ($files as $file) {
                $record2 = new ProductImage;
                $filename = $file;
                $record2->product_id = $id;
                $record2->image = $filename;
                $record2->save();
            }
        }


        Session::flash('info', $this->data['title'].' updated successfully.');
        return redirect()->route($this->data['route'].'index');
    }


    public function destroy($id)
    {
        $record = Product::findOrFail($id);
		$this->deleteFile($record,'image',false);
        $record->delete();
        return \Illuminate\Support\Facades\Response::json(['result'=>'success','message'=>'Deleted Data successfully!']);
    }
}
