<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;

class FileController extends Controller
{
    
    public function __construct()
    {
        //$this->middleware('auth');
    }
   

    public function index(Request $request)
    {
        if(!empty($request['api_token'])){
            $auth = \App\User::where('api_token',$request['api_token'])->first();
            if(!empty($auth)){
                $favorite_array = \App\Model\Favorite::select(['file_id'])->where('user_id',$auth->id)->get()->pluck('file_id')->toArray();
            }
        }
        
        $not_in = [];
        $random = '0';
        $category = [];
        
        if(!empty($request['random']) && $request['random']=='1'){
            $request['page'] = '1';    
        }
        
        $query = \App\Model\File::query();
        $query->select(['id'])->with('file');
        $query->where('status','Active');
        
        if(!empty($request['category_id'])){
            $query->where('category_id',$request['category_id']);
            $category = ['category_id'=>'1'];
        }
        if(!empty($request['not_in'])){
            $not_in  = explode(',', $request['not_in']);
            $query->whereNotIn('id', $not_in);
        }
        if(!empty($request['random']) && $request['random']=='1'){
            $query->inRandomOrder();
            $random = '1';
        }else{
            $query->orderBy('id','DESC');
        }
        
        $records = $query->paginate(5);
        
        if(!empty($request['random']) && $request['random']=='1'){
            $total_not_in = array_merge($not_in,$records->pluck('id')->toArray());
            $records->appends(['not_in' => implode(',',$total_not_in),'random' => $random] + $category);
        }else if(!empty ($category)){
            $records->appends($category);
        }
        foreach ($records as $key => $value) {
            $records[$key]['file']['is_my_favorite'] = 0;
            if(!empty($request['api_token']) && !empty($favorite_array)){
                if(in_array($records[$key]['file']['id'], $favorite_array)){
                    $records[$key]['file']['is_my_favorite'] = 1;
                }
            }
            
        }
        
        $data['result'] = '1';
        $data['message'] = 'success';
        $data['records'] = $records;
        return Response::json($data);
    }
    
    public function file_visit(Request $request){
        $ip = $request->ip();
        if(!empty($request['file_id'])){
            $file = \App\Model\File::find($request['file_id']);
            if(!empty($file)){
                $visit  = \App\Model\FileVisit::where('ip',$ip)->where('file_id',$request['file_id'])->first();
                if(!empty($visit)){
                    $visit->total_visits = $visit->total_visits + 1;
                    $visit->save();
                }else{
                    \App\Model\FileVisit::create([
                        'user_id ' => null,
                        'ip' => $ip,
                        'file_id' => $request['file_id'],
                        'total_visits' => '1',
                    ]);
                    $file->total_visits = $file->total_visits + 1;
                    $file->save();
                    
                }
                $data['result'] = '1';
                $data['message'] = 'success';
                $data['file_total_visit'] = $file->total_visits;
                return Response::json($data);
            }
        }
        $data['result'] = '0';
        $data['message'] = 'error';
        return Response::json($data);
        
    }
    public function randomData(Request $request)
    {
        $request['page'] = '1';
        DB::enableQueryLog();
        //$data['records'] = \App\Model\File::paginate(5);
        //$data['records'] = \App\User::paginate(100);
        $not_in = [];
        $query =  \App\User::query();
        
        if(!empty($request['not_in'])){
            $not_in  = explode(',', $request['not_in']);
            $query->whereNotIn('id', $not_in);
        }
        $data = $query ->with('user')->select('id')
        //$data = $query->select('id')
                
                
        ->inRandomOrder()
        ->paginate('50');
        //->simplePaginate('10');
        $total_not_in = array_merge($not_in,$data->pluck('id')->toArray());
        
        $data->appends(['not_in' => implode(',',$total_not_in)]);
        
        
        return Response::json($data);
        echo '<pre>';
        print_r(DB::getQueryLog());
        return "test";
    }

   
}
