<?php

namespace App\Http\Controllers\UserAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Model\Booking;
use App\Model\Sitesetting;
use App\Model\Inquiry;
use App\Model\Voucher;
use Validator;
use Session;



class BookingController extends Controller {
	
	public function savebooking(Request $request)
    {

    
        $no_of_person = $request->no_of_passenger?$request->no_of_passenger:1;

        $booking = new Booking;
        $booking->route_id = $request->route; 
        $booking->date = date('Y-m-d',strtotime($request->date)); 
        $booking->flight_id = $request->flight;
        $booking->pickup_time = $request->pickup_time;
        $booking->cab_type = $request->cab_type;
        $booking->cab_car = $request->cab_car;
        $booking->no_of_passenger = $no_of_person;
        $booking->amount = $request->amount;
        $booking->location = serialize($request->location);
        $booking->name = $request->name;
        $booking->contactno = $request->contactno;
        $booking->whatsappno = $request->whatsappno;
        $booking->address = serialize($request->address);
        $booking->email = $request->email;
        $booking->voucher_discount = $request->voucher_discount;
        $booking->gst_no = $request->gst_no;
        $booking->grandtotal = $request->grandtotal;
        $booking->remarks = $request->remarks;
        $booking->save();


    }

    public function validateAndSaveBooking(Request $request)
    {

        $validator = Validator::make($request->all(), [
            'name' => 'required',
            // 'contactno' => 'required',
            'whatsappno' => 'required',
			// 'location.*' => 'required',
			// 'pincode.*' => 'required',
        ], [
			// 'location.*.required' => 'Location is required.',
			// 'pincode.*.required' => 'Service is not available for this area',
		]);

        if ($validator->fails()) {
            return response()->json([
                'success' => false,
                'errors' => $validator->errors()->first(),
            ]);
        }
        $sitesetting = Sitesetting::first();

        $input = $request->all();   


        if($request->cab_type == "Sharing"){

            $amount = $sitesetting->cab_rate * $request->no_of_passenger;   


        }else{

        
            if($request->cab_car == 'Sedan'){
                if($request->no_of_address == 2){
                    $amount = $sitesetting->sedan_rate + 100;
                }else if($request->no_of_address == 3){
                    $amount = $sitesetting->sedan_rate + 200;
                }else{
                    $amount = $sitesetting->sedan_rate;
                }
            }else if($request->cab_car == 'Ertiga'){
                if($request->no_of_address == 2){
                    $amount = $sitesetting->eartiga_rate + 100;
                }else if($request->no_of_address == 3){
                    $amount = $sitesetting->eartiga_rate + 200;
                }else{
                    $amount = $sitesetting->eartiga_rate;
                }
    
            }else if($request->cab_car == 'Innova'){
                if($request->no_of_address == 2){
                    $amount = $sitesetting->innova_rate + 100;
                }else if($request->no_of_address == 3){
                    $amount = $sitesetting->innova_rate + 200;
                }else{
                    $amount = $sitesetting->innova_rate;
                }
    
            }else{
                $amount = 0;
                
            }
         
        }


     //   $request->amount = $amount;
     $input['amount'] = $amount;    
     //service tax of 5 percenet
     $gst = ($amount*5)/100;
     $gst = 0;

     $sub_plus_gst = $amount+$gst;
     
     //extra charges 2.36 pecent
     $extra_charges = ($sub_plus_gst*2.36)/100;

     $extra_charges = 0;    

     $input['grandtotal'] = round($amount + $gst + $extra_charges);
     $input['voucher_discount'] = 0;


        if(!empty($request->voucher))
        {
            $voucher = Voucher::where('name',$request->voucher)->first();
            if($voucher )
            {
                if($voucher->discount == 'Percentage'){
                    $percentage  = $voucher->amount;
                    $discount = ($percentage * $amount) / 100;
                    
                    $grand_total = $amount - $discount;
                   
                }else{ 
                    
                    $discount = $voucher->amount;
                    $grand_total = $amount - $discount;

                }
			

             /*   $request->voucher_discount = $discount; 
                $request->grandtotal = $grand_total;  */
                if($grand_total){
                    $gst = ($grand_total*5)/100;
                    $gst = 0;
                    
                    $sub_plus_gst = $grand_total+$gst;  
                    $extra_charges =  ($sub_plus_gst*2.36)/100;

                    $extra_charges = 0;

                }
                $grandtotal = $gst+$extra_charges+$grand_total;
                $input['voucher_discount'] = $discount;
                $input['grandtotal'] = round($grandtotal);
                $input['voucher_name'] = $voucher->name;
                //return response()->json(['discount'=>$discount,'grand_total'=>$grand_total]);
                
            }
			else{
			$input['voucher_name'] = null;
			}
        }
		
        
        // print($grandtotal);exit;
        $request->session()->put('booking_data', $input);



        $getsession = $request->session()->get('booking_data'); 



        $booking = new Booking; 
        $booking->route_id = $getsession['route'];
        $booking->date = date('Y-m-d',strtotime($getsession['date']));
        $booking->flight_id = $getsession['flight'];
        $booking->pickup_time = $getsession['pickup_time'];
        $booking->cab_type = $getsession['cab_type'];

        if($booking->cab_type == 'Sharing'){

            $getsession['cab_car'] =null;

        }
        
        $booking->cab_car = $getsession['cab_car'];
        $booking->no_of_passenger = $getsession['no_of_passenger'];
        $booking->amount = $getsession['amount'];
        // $booking->location = serialize($getsession['location']);
        $booking->name = $getsession['name'];
        // $booking->contactno = $getsession['contactno'];
        $booking->whatsappno = $getsession['whatsappno'];
        $booking->address = serialize($getsession['address']);
        // $booking->email = $getsession['email'];
        $booking->voucher_discount = $getsession['voucher_discount'];
		$booking->voucher_name = $getsession['voucher_name']??null;
        $booking->gst_no = $getsession['gst_no'];
        // $booking->billing_name = $getsession['billing_name'];
        // $booking->billing_address = $getsession['billing_address'];
        $booking->grandtotal = $getsession['grandtotal'];
        $booking->remarks = $getsession['remarks']??null;
        // $booking->razorpay_payment_id = $request['razorpay_payment_id'];
        $booking->save();



        return response()->json([ 
            'success' => true,
            'grandtotal'=> $input['grandtotal'],
            'booking_id' => $booking->id,   
        ]); 
    }


    public function onlinepay (Request $request)
    {
        \Log::info($request->all());

        $validator = Validator::make($request->all(), [
            'razorpay_payment_id' => 'required',
         
        ]);

        if ($validator->fails()) {
            return response()->json([
                'status' => false,
                'errors' => $validator->errors()->first(),
            ]);
        }



        $booking =  Booking::find($request->booking_id); 
       
        
     
        $booking->razorpay_payment_id = $request['razorpay_payment_id'];
        $booking->save();  

        $request->session()->forget('booking_data');

        return response()->json(['status' => true,'message'=>'Booking Successfully']);

    }   


    public function saveinquiry(Request $request){

        // dd($request->all());
        // 'route_id','date','flight_id','pickup_time','name','contactno','email','agent_code','status'


        $date = $request->date?date('Y-m-d', strtotime($request->date)):null;  
       $inquiry =  Inquiry::create(['route_id'=>$request->route,'date'=> $date,'flight_id'=>$request->flight,'agent_code'=>$request->agent_code,'name'=>$request->name,'contactno'=>$request->contactno]);



       Session::flash('success', 'Inquiry Successfully');   
       return redirect()->back()->with('success', 'Inquiry Successfully');  
        // return response()->json(['status'=>true, 'message'=>'Inquiry Successfully']);

    }


}