<?php

namespace App\Http\Controllers\UserAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Model\Sitesetting;


use App\Model\Flight;

use App\Model\Voucher;
use App\Model\Slider;
use Validator;


class HomeController extends Controller {
	
	public function home(Request  $request)
	{
		
		

		$sitesetting=Sitesetting::first();
		$slider = Slider::get();



		return view('user.addlisting')->with(['sitesetting'=>$sitesetting,'slider'=>$slider]);
	}

	public function inquiry(Request  $request)
	{
		
		

		$sitesetting=Sitesetting::first();
		



		return view('user.inquiry')->with(['sitesetting'=>$sitesetting]);
	}

	
 
	
	public function feedback(){

		return redirect('https://ig.me/m/abdg_travels');
	}
	
	


	public function cancellation(){

		return view('user.cancellation');

	}
	public function terms(){

		return view('user.terms');

	}
	
	public function privacy(){

		return view('user.privacy');

	}
	
	
	
	
	
	
	public function getflightbyroute(Request $request)
	{
		   if ($request->ajax()) {
			   
			   $route = $request->route;
			  $flighttime = Flight::where('route',$route)->orderBy('sequence','asc')->get();

			   return $flighttime;
			   
		   }
	}


	public function getflighttime(Request $request){
		$flight = Flight::where('id',$request->flight_id)->first();
		return response()->json(['time'=>$flight->time]);
	}

	public function getcabamount(){
		$sitesetting = Sitesetting::first();
		return response()->json(['amount'=>$sitesetting->cab_rate]);
	}
	public function getamount_cabbytype(Request $request)
	{

		$sitesetting = Sitesetting::first();
		if($request->type == 'Sedan'){
			$amount = $sitesetting->sedan_rate;
		
		}else if($request->type == 'Ertiga'){
			$amount = $sitesetting->eartiga_rate;


		}else if($request->type == 'Innova'){
			$amount = $sitesetting->innova_rate;

		}else{


			if($request->cab_type != 'Special')
			{
				$amount = $sitesetting->cab_rate;
				$no_of_passenger = $request->no_of_passenger;	
				$amount = $amount * $no_of_passenger;
				
			}else{
				$amount = 0;
			}

			
		}

		if($request->cab_type == 'Special'){
			if($request->no_of_address == 2){
				$pickupdrop_charge = 100;
			}else if($request->no_of_address == 3){
				
				$pickupdrop_charge = 200;

			}else{
				$pickupdrop_charge = 0;

			}
		}else{
			$pickupdrop_charge = 0;
		}



		return response()->json(['amount'=>$amount,'pickupdrop_charge'=>$pickupdrop_charge]);
		

	}

	public function getdiscount(Request $request)
	{
		
		$pickupdrop_charge = $request->pickupdrop_charge??0;
		$amount = $request->amount + $pickupdrop_charge;

		if($amount && $amount != '0')
		{
			$voucher = Voucher::where('name',$request->voucher)->first();
           if(!empty($request->voucher))
		   {
			if($voucher )
			{
				if($voucher->discount == 'Percentage'){
					$percentage  = $voucher->amount;
					$discount = ($percentage * $amount) / 100;
					//dd($discount);
					$grand_total = $amount - $discount;


				}else{
					$discount = $voucher->amount;
					$grand_total = $amount - $discount;

					// 5 percent service tax
			

				}
				$gs_tax = ($grand_total * 5) / 100;
				$gs_tax = 0;

				$grand_plus = $grand_total + $gs_tax;
				$convenience_fee = ($grand_plus * 2.36) / 100;

				$convenience_fee = 0;	
				

				$grand_total = $grand_total + $convenience_fee + $gs_tax;
			
				return response()->json(['discount'=>round($discount),'grand_total'=>round($grand_total),'gst_amount'=>round($gs_tax),'convenience_fee'=>round($convenience_fee)]);
                
			}else{
				$gs_tax = ($amount * 5) / 100;
				$gs_tax = 0;

				$grand_plus = $amount + $gs_tax;
				$convenience_fee = ($grand_plus * 2.36) / 100;
				$convenience_fee = 0;	
				$grand_total = $amount + $convenience_fee + $gs_tax;
			    	
				return response()->json(['discount'=>0,'grand_total'=>round($grand_total),'gst_amount'=>round($gs_tax),'convenience_fee'=>round($convenience_fee),'error' => 'voucher name does not matching']);
       
			}
		   }
			else
			{
				$gs_tax = ($amount * 5) / 100;
				$gs_tax = 0;
				
				$grand_plus = $amount + $gs_tax;
				$convenience_fee = ($grand_plus * 2.36) / 100;
				$convenience_fee = 0;	

				$grand_total = $amount + $convenience_fee + $gs_tax;	

				return response()->json(['discount'=>0,'grand_total'=>round($grand_total),'gst_amount'=>round($gs_tax),'convenience_fee'=>round($convenience_fee)]);
			}
			

		}else{
			
			return response()->json(['discount'=>0,'grand_total'=>0,'gst_amount'=>0,'convenience_fee'=>0]);
		
		}

	}

	
	
    public function pickupchangetime(Request $request)
	{
		$flight = $request->flight;
		$flighttime = Flight::where('id',$flight)->first();
		$cab = $request->cab;
		  
		if(!empty($cab) && $flighttime)
		{
			if($cab == 'Sharing')
			{
				 return response()->json($flighttime->time_sharing_cab);
				
			}
			else
			{
				return response()->json($flighttime->time_sp_cab);
				
			}
			
		}
	}
	
}
