<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;
use Cviebrock\EloquentSluggable\Sluggable;

class Eventapply extends Model {

    use SoftDeletes;
	use Sluggable;

    protected $fillable = [
        'user_id','eventcheck_id','profile_image','name','middle_name','surname','email','mobile_whatsapp','username','password','confirm_password','date_of_birth','gender','martial_status','education','sadari_uid','sub_religion','residential_address1','residential_address2','residential_location','residential_state','residential_pincode','residential_city','residential_country','sadarihouse_address1','sadarihouse_address2','sadarihouse_location','sadarihouse_state','sadarihouse_pincode','sadarihouse_country','name_business','business_category','business_address1','business_address2','business_location','business_state','business_city','business_pincode','business_country','business_website','business_profile','business_brochure_price','slug','status'
    ];

    protected $appends = ['profile_image_url'];
	
	public function scopeStatus($query) {
        return $query->where('status', '=', 'Active');
    }
   
    public function getProfileImageUrlAttribute($value)
    {
        return  !empty($this->attributes['profile_image']) && Storage::exists($this->attributes['profile_image'])? Storage::url($this->attributes['profile_image']):null;
    }
   
	
	public function sluggable()
    {
        return ['slug' => ['source' => 'name','onUpdate'=>true]];
    }
	
	public function user()
	{
        return $this->belongsTo('App\User','user_id');
    }
    	public function eventcheck()
	{
        return $this->belongsTo('App\Model\Eventcheck','eventcheck_id');
    }


}
