<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;

class File extends Model
{
    //use SoftDeletes;
    protected $fillable = [
        'category_id','name','image','video','status','total_visits','total_favorite'
    ];
    
    //protected $appends = ['image_url','thumb_image_url','video_url'];
    protected $appends = ['image_url','thumb_image_url'];
    
    public function getImageUrlAttribute($value)
    {
        return !empty($this->attributes['image']) && Storage::exists($this->attributes['image'])? Storage::url($this->attributes['image']):null;
    }
    public function getThumbImageUrlAttribute($value)
    {
        return !empty($this->attributes['image']) && Storage::exists("thumb/".$this->attributes['image'])? Storage::url("thumb/".$this->attributes['image']):null;
    }
    
    /*public function getVideoUrlAttribute($value)
    {
        return !empty($this->attributes['video']) && Storage::exists($this->attributes['video'])? Storage::url($this->attributes['video']):null;
    }*/
    
    public function scopeStatus($query) {
        return $query->where('status', '=', 'Active');
    }
    public function category(){
        return $this->belongsTo('App\Model\Category','category_id');
    }
    public function file(){
        return $this->belongsTo('App\Model\File','id')
                ->select(['id','category_id','name','image','total_visits','total_favorite']);
    }
    
}
