<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;

class Groupofcompany extends Model {
    use SoftDeletes;
    protected $fillable = ['sequence','name','image','status'];
    protected $appends = ['image_url'];	
	public function scopeStatus($query) {
        return $query->where('status', '=', 'Active');
    }   
    public function getImageUrlAttribute($value)
    {
        return  !empty($this->attributes['image']) && Storage::exists($this->attributes['image'])? Storage::url($this->attributes['image']):null;
    }
}
