<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;

class Service extends Model
{
    use SoftDeletes;
	
    protected $fillable = [
        'image','name',
    ];
		protected $appends = ['image_url','image_thumb_url'];
	public function getImageUrlAttribute($value)
    {
        return  !empty($this->attributes['image']) && Storage::exists($this->attributes['image'])? Storage::url($this->attributes['image']):null;
    }
    public function getImageThumbUrlAttribute($value)
    {
        return Storage::exists( $this->attributes['image'])? Storage::url('thumb/'.$this->attributes['image']):null;
    }
	/*
	public function totallike()
    {
        return $temp= $this->hasmany('App\Model\Bloglike', 'bid','id')
            ->select(['id','bid']);
    }
	*/
}
