<?php
namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;
use Illuminate\Database\Eloquent\SoftDeletes;
use Cviebrock\EloquentSluggable\Sluggable;

class Slider extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'title','image','description','image1','image2',
    ];
	protected $appends = ['image1_url','image1_thumb_url','image2_url','image2_thumb_url','image_url','image_thumb_url'];
	
	public function getImageUrlAttribute($value)
    {
        return  !empty($this->attributes['image']) && Storage::exists($this->attributes['image'])? Storage::url($this->attributes['image']):null;
    }
    public function getImageThumbUrlAttribute($value)
    {
        return Storage::exists( $this->attributes['image'])? Storage::url('thumb/'.$this->attributes['image']):null;
    }
	public function getImage1UrlAttribute($value)
    {
        return  !empty($this->attributes['image1']) && Storage::exists($this->attributes['image1'])? Storage::url($this->attributes['image1']):null;
    }
    public function getImage1ThumbUrlAttribute($value)
    {
        return Storage::exists( $this->attributes['image1'])? Storage::url('thumb/'.$this->attributes['image1']):null;
    }
	public function getImage2UrlAttribute($value)
    {
        return  !empty($this->attributes['image2']) && Storage::exists($this->attributes['image2'])? Storage::url($this->attributes['image2']):null;
    }
    public function getImage2ThumbUrlAttribute($value)
    {
        return Storage::exists( $this->attributes['image2'])? Storage::url('thumb/'.$this->attributes['image2']):null;
    }
}

