<?php

namespace App;

use App\Notifications\UserResetPassword;
use Illuminate\Notifications\Notifiable;
use Illuminate\Support\Facades\Storage;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name','middle_name','surname','email','mobile_whatsapp','username','password','confirm_password','date_of_birth','gender','martial_status','education','profile_image','sadari_uid','sub_religion','residential_address1','residential_address2','residential_location','residential_pincode','residential_state','residential_city','residential_country','sadari_house_address1','sadari_house_address2','sadari_house_location','sadari_house_state','sadari_house_pincode','sadari_house_country','business_name','business_address1','business_address2','business_location','business_pincode','business_state','business_city','business_country','business_category','website','business_profile','product','brochure_pricelist','label','description','status'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
	 protected $appends = ['profile_image_url'];
	 /**
     * Send the password reset notification.
     *
     * @param  string  $token
     * @return void
     */
	
	
	
	 public function getProfileImageUrlAttribute($value)

    {

        return  !empty($this->attributes['profile_image']) && Storage::exists($this->attributes['profile_image'])? Storage::url($this->attributes['profile_image']):null;

    }
	
	
	public function sendPasswordResetNotification($token)
    {
        $this->notify(new UserResetPassword($token));
    }
	
	public function user(){
        return $this->belongsTo('App\User','id');
    }
}
