@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">
        <section class="content-header">
            <h1>
                About 
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('admin/home') }}"><i class="fa fa-user"></i> Home</a></li>
                <li class="active">{{ $title }}</li>
            </ol>
        </section>

        <section class="content">
            <div class="row">
                <div class="col-md-8 col-md-offset-1">
                    @include('flash')
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update {{ $title }}</h3>
                        </div>
                        {!! Form::model($record,['route' => 'admin.about_post', 'method' => 'post','files'=>true]) !!}
						{{ Form::hidden('id', $record->id) }}
                    <div class="box-body">
							
					            <div class="form-group {{ $errors->has('about_us') ? ' has-error' : '' }}">
									<label class="control-label">About Us</label>
									{!! Form::textarea('about_us', null, ['class'=>'form-control','id'=>'vision', 'rows' => 4]) !!}
									<span class="help-block" id="error_comp_address"><strong>{{ $errors->first('about_us') }}</strong></span>
								</div>
							  
								<div class="form-group {{ $errors->has('terms_and_conditions') ? ' has-error' : '' }}">
									<label class="control-label">Vision</label>
									{!! Form::textarea('vision', null, ['class'=>'form-control','id'=>'vision', 'rows' => 4]) !!}
									<span class="help-block" id="error_comp_address"><strong>{{ $errors->first('vision') }}</strong></span>
								</div>
								<div class="form-group {{ $errors->has('mission') ? ' has-error' : '' }}">
									<label class="control-label">Mission</label>
									{!! Form::textarea('mission', null, ['class'=>'form-control','id'=>'mission']) !!}
									<span class="help-block" id="error_comp_address"><strong>{{ $errors->first('mission') }}</strong></span>
								</div>
								<div class="form-group {{ $errors->has('value') ? ' has-error' : '' }}">
									<label class="control-label">Value</label>
									{!! Form::textarea('value', null, ['class'=>'form-control','id'=>'value']) !!}
									<span class="help-block" id="error_comp_address"><strong>{{ $errors->first('value') }}</strong></span>
								</div>
					            <div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
									<label class="control-label">About Us</label>
									{!! Form::file('image', null, ['class'=>'form-control','id'=>'image', 'rows' => 4]) !!}
									<span class="help-block" id="error_comp_address"><strong>{{ $errors->first('image') }}</strong></span>
								</div>
	                	
					
			
			        </div>
							  <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        {!! Form::close() !!}
					</div>
					
				</div>
				<div class="col-md-3 text-center">
                    <img src="{{ !empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg') }}" id="thumb_image" width="100%" />
                </div>
			</section>
		</div>
@endsection
@section('js')
<script type="text/javascript">
    CKEDITOR.config.removeButtons = 'Image';
	
	CKEDITOR.replace('vision');
	CKEDITOR.replace('mission');
	CKEDITOR.replace('value');
	CKEDITOR.replace('about_us');
	
	
</script>
@endsection