@extends('admin.layout.app')
@section('js')
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<!-- ChartJS 1.0.1 -->
<script src="{{ url('assets/admin/') }}/plugins/chartjs/Chart.min.js"></script>

<!--<script src="{{ url('assets/admin/') }}/dist/js/pages/dashboard.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.13.0/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.bundle.min.js"></script> 
<script src="http://www.chartjs.org/samples/latest/utils.js"></script> 


<script type="text/javascript">

    $(document).ready(function () {
        $('.ajax_chart').submit();
        $('.datepicker').datepicker({
            autoclose: true,
            format: 'dd-mm-yyyy',
            todayHighlight: true,
            todayBtn: true,
        });
    });
    
    $('body').on('submit', '.ajax_chart', function (e) {
        
        e.preventDefault();
        $(this).ajaxSubmit({
            target: '#targetLayer',
            beforeSubmit: function () {
            },
            uploadProgress: function (event, position, total, percentComplete) {
            },
            error: function (result) {
                //redirect if not authenticated user.
                return false;
                alert('error');
            },
            success: function (result) {
                
            },
            complete: function (result) {
                //ctx
                //console.log(result.responseJSON);
                //alert('123');
                //console.log(config);
                config.data.labels = [];
                config.data.datasets[0].data = [];
                config.data.datasets[1].data = [];
                config.data.datasets[2].data = [];
                var total_ios = 0;
                var total_android = 0;
                
                $.each(result.responseJSON, function(key, value){ //order with payment
                    config.data.labels.push(value.label);
                    config.data.datasets[0].data.push(value.ios);
                    config.data.datasets[1].data.push(value.android);
                    config.data.datasets[2].data.push(value.total);
                    // Count Total 
                    total_ios = total_ios + value.ios;
                    total_android = total_android + value.android;
                    
                    config.data.datasets[0].label = 'iOS ('+ total_ios +')';
                    config.data.datasets[1].label = 'Android ('+ total_android +')';
                    config.data.datasets[2].label = 'Total ('+ (total_ios + total_android) +')';
                });
                window.myLine.update();
                
                //console.log(config.data.labels);
            },
        });
    });
    
    var timeFormat = 'MM/DD/YYYY HH:mm';

    function newDate(days) {
        //console.log(moment().add(days, 'd').toDate());
        return moment().add(days, 'd').toDate();
    }

    function newDateString(days) {
        return moment().add(days, 'd').format(timeFormat);
    }

    function newTimestamp(days) {
        return moment().add(days, 'd').unix();
    }

    //console.log(newDateString(1));
    var color = Chart.helpers.color;
    var config = {
        type: 'line',
        data: {
            labels: [// Date Objects
               
            ],
            datasets: [
                {
                    label: "iOS",
                    backgroundColor: color(window.chartColors.red).alpha(0.5).rgbString(),
                    borderColor: window.chartColors.red,
                    fill: false,
                    data: [],
                },
                {
                    label: "Android",
                    backgroundColor: color(window.chartColors.green).alpha(0.5).rgbString(),
                    borderColor: window.chartColors.green,
                    fill: false,
                    data: [],
                },
                {
                    label: "Total",
                    backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
                    borderColor: window.chartColors.blue,
                    fill: false,
                    hidden: true,
                    data: [],
                },
            ]
        },
        options: {
            title: {
                text: "Chart.js Time Scale",
                display: false,
            },
            tooltips: {
                mode: 'index',
                intersect: false,
            },
            hover: {
                mode: 'nearest',
                intersect: true
            },
            scales: {
                xAxes: [{
                        scaleLabel: {
                            display: true,
                            labelString: 'Date'
                        },
                    }, ],
                yAxes: [{
                        scaleLabel: {
                            display: true,
                            labelString: 'value'
                        }
                    }]
            },
        }
    };

    /*window.onload = function () {
        var ctx = document.getElementById("canvas").getContext("2d");
        window.myLine = new Chart(ctx, config);

    };*/


</script>


<script>
    // Pie Chart Data
    var randomScalingFactor = function() {
        return Math.round(Math.random() * 100);
    };
        
    var config2 = {
        type: 'pie',
        data: {
            datasets: [{
                data: [
                    {{ $total_registered }},
                    {{ $total_unregistered }}
                ],
                backgroundColor: [
                   window.chartColors.green,
                   window.chartColors.yellow,
                ],
                label: 'Dataset 1'
            }],
            labels: [
                "Registered",
                "Unregistered",
            ]
        },
        options: {
            responsive: true,
            title: {
                display: true,
                text: 'Chart.js Doughnut Chart'
            },
            legend: {
                display: true,
                labels: {
                    //fontColor: 'rgb(255, 99, 132)'
                }
            }
               
        },
        
    };
    
    var config3 = {
        type: 'pie',
        data: {
            datasets: [{
                data: {{ $total_device->pluck('total')->toJson() }},
                backgroundColor: [
                    window.chartColors.orange,
                    window.chartColors.blue,
                ],
                label: 'Dataset 1'
            }],
            labels: {!! $total_device->pluck('device')->tojson() !!},
        },
        options: {
            responsive: true,
            title: {
                display: true,
                text: 'Chart.js Doughnut Chart'
            },
            legend: {
                display: true,
                labels: {
                    //fontColor: 'rgb(255, 99, 132)'
                }
            }
               
        },
        
    };

    window.onload = function() {
        var ctx = document.getElementById("canvas").getContext("2d");
        window.myLine = new Chart(ctx, config);
        
        var ctx2 = document.getElementById("chart-area").getContext("2d");
        window.myPie = new Chart(ctx2, config2);
        
        // Total Signup
        var total_signup = document.getElementById("chart-signup-pie").getContext("2d");
        window.myPie = new Chart(total_signup, config3);
        
    };
</script>
@endsection

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Dashboard
                <small>Control panel</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Dashboard</li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Main row -->
            <div class="row">
                <section class="col-lg-12 connectedSortable">
                    <div class="nav-tabs-custom">
                        <!-- Tabs within a box -->
                        <ul class="nav nav-tabs pull-right">
                            <!--<li class="active"><a href="#revenue-chart" data-toggle="tab">New Signups</a></li>-->
                            <!--<li><a href="#sales-chart" data-toggle="tab">Donut</a></li>-->
                            <li class="pull-left header"><i class="fa fa-inbox"></i> Sales</li>
                        </ul>
                        <div class="tab-content no-padding">
                            <form class="ajax_chart" action="{{ url('admin/analytics') }}" method="post"> 
                                {{ csrf_field() }}
                                <div class="row">
                                    <br/>
                                    <div class="col-md-3" style="margin-left: 20px;">
                                        <div class="input-group " >
                                            <div class="input-group-btn">
                                                <button type="button" class="btn btn-primary"><i class="fa fa-calendar"></i></button>
                                            </div>
                                            <!-- /btn-group -->
                                            <input name="start_date" class="form-control datepicker" type="text" placeholder="Start date" value="{{ \Carbon\Carbon::now()->subMonth('1')->format('d-m-Y') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="input-group">
                                            <div class="input-group-btn">
                                                <button type="button" class="btn btn-primary"><i class="fa fa-calendar"></i></button>
                                            </div>
                                            <!-- /btn-group -->
                                            <input name="end_date" class="form-control datepicker" type="text" placeholder="End date" value="{{ \Carbon\Carbon::now()->format('d-m-Y') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-1">
                                        <div class="input-group">
                                            <select class="form-control" name="group_by">
                                                <option value="day">Day</option>
                                                <option value="month">Month</option>
                                                <option value="year">Year</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="input-group ">
                                            <button class="btn btn-primary " type="submit">Filter</button>
                                        </div>
                                    </div>

                                </div>
                            </form>
                            <hr/>
                            <!-- Morris chart - Sales -->
                            <div class="chart tab-pane active" id="revenue-chart" style="position: relative; min-height: 300px;">
                                <canvas id="canvas" style="height: 400px"></canvas>
                            </div>
                            <!--<div class="chart tab-pane" id="sales-chart" style="position: relative; height: 300px;">
                                 Pie Chart 
                                <div class="row">
                                    <div class="col-md-6">
                                        <canvas id="chart-area" />
                                    </div>
                                </div>
                            </div>-->
                        </div>
                    </div>
                </section>
                
                <section class="col-lg-6 connectedSortable">
                    
                    <div class="nav-tabs-custom">
                        <div class="tab-content no-padding">
                            <div class="chart tab-pane active" id="sales-chart" style="position: relative; height: 300px;">
                                <canvas id="chart-area" />
                            </div>
                        </div>
                    </div>
                </section>
                
                <section class="col-lg-6 connectedSortable">
                    <div class="nav-tabs-custom">
                        <div class="tab-content no-padding">
                            <div class="chart tab-pane active" id="total-signup" style="position: relative; height: 300px;">
                                <canvas id="chart-signup-pie" />
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- /.row (main row) -->

        </section>
        <!-- /.content -->
    </div>
@endsection



