@extends('admin.layout.app')

@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1 class="pull-left">
			{{ $title }} Details
		</h1>
		<p>&nbsp;</p>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-6 col-xs-offset-3">
				<div class="box box-primary">
					<div class="box-header with-border">
						<h3 class="box-title">Details</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<table class="table table-bordered">
							<thead>
								<tr>
									<th width="30%">Name</th>
									<td width="70%">{{ $record['name'] }}</td>
								</tr>
								<tr>
									<th width="30%">Route name</th>
									<td width="70%">{{ $record['route_id'] }}</td>
								</tr>

								<tr>
									<th width="30%">Flight name</th>
									<td width="70%">{{ $record['flight']['name']??'' }}</td>
								</tr>

								<tr>
									<th width="30%">Cab Type</th>
									<td width="70%">{{ $record['cab_type'] }}</td>
								</tr>

								<tr>
									<th width="30%">Cab Car</th>
									<td width="70%">{{ $record['cab_car'] }}</td>
								</tr>

								<tr>
									<th width="30%">No of Passager</th>
									<td width="70%">{{ $record['no_of_passenger'] }}</td>
								</tr>

								<tr>
									<th width="30%">Amount</th>
									<td width="70%">{{ $record['amount'] }}</td>
								</tr>

								<tr>
									<th width="30%" style="vertical-align: baseline;">Location</th>
									<td width="70%">
										@php
										try{

										$unserializedArray_address = unserialize($record->location);

										} catch(\Exception $e) {
										echo '1. ' . $record->location;
										}
										@endphp

										@if(!empty($unserializedArray))

										@foreach($unserializedArray as $key => $location)
										<p> {{ ($key + 1).'. '.$location }} </p>
										@endforeach
									</td>


									@endif
								</tr>
								<tr>
									<th width="30%" style="vertical-align: baseline;">Address</th>
									<td width="70%">

										@php
										try{

										$unserializedArray_address = unserialize($record->address);

										} catch(\Exception $e) {
										echo '1. ' . $record->location;
										}

										@endphp

										@if(!empty($unserializedArray_address))

										@foreach($unserializedArray_address as $key => $location)
										<p> {{ ($key + 1).'. '.$location }} </p>
										@endforeach
									</td>


									@endif


								</tr>

								<tr>
									<th width="30%">Contact No</th>
									<td width="70%">{{ $record['contactno'] }}</td>
								</tr>

								<tr>
									<th width="30%">Whatsapp No</th>
									<td width="70%">{{ $record['whatsappno'] }}</td>
								</tr>

								<tr>
									<th width="30%">Email</th>
									<td width="70%">{{ $record['email'] }}</td>
								</tr>



								<tr>
									<th width="30%">Voucher Discount</th>
									<td width="70%">{{ $record['voucher_discount'] }}</td>
								</tr>

								<tr>
									<th width="30%">Gst No</th>
									<td width="70%">{{ $record['gst_no'] }}</td>
								</tr>


								<tr>
									<th width="30%">Grand Total</th>
									<td width="70%">{{ $record['grandtotal'] }}</td>
								</tr>

								<tr>
									<th width="30%">Status</th>
									<td width="70%">{{ $record['status'] }}</td>
								</tr>

							</thead>
						</table>
					</div>
					<!-- /.box-body -->

					<div class="box-footer">
						<a href="{{ route($route.'index') }}" type="submit" class="btn btn-default pull-left">Back</a>
					</div>
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->
</div>
@endsection