<div class="row">
    <div class="form-group col-md-6 {{ $errors->has('category_id') ? ' has-error' : '' }}">
        <label class="control-label">Category <span class="text-danger">*</span></label>
        {!! Form::select('category_id', \App\Model\Category::status()->get()->pluck('name','id')->toArray() ,null, ['class' => 'form-control']) !!}
        <span class="help-block" id="error_category_id"><strong>{{ $errors->first('category_id') }}</strong></span>
    </div>
    <div class="form-group col-md-6 {{ $errors->has('name') ? ' has-error' : '' }}">
        <label class="control-label">Name <span class="text-danger">*</span></label>
        {!! Form::text('name',null, ['class' => 'form-control']) !!}
        <span class="help-block" id="error_name"><strong>{{ $errors->first('name') }}</strong></span>
    </div>
    <div class="form-group col-md-6 {{ $errors->has('image') ? ' has-error' : '' }}">
        <label class="control-label">Image <span class="text-danger">*</span></label>
        {!! Form::file('image', ['class' => 'thumb_image form-control','multiple']) !!}
        <span class="help-block" id="error_image"><strong>{{ $errors->first('image') }}</strong></span>
    </div>
    <div class="form-group col-md-6 {{ $errors->has('video') ? ' has-error' : '' }}">
        <label class="control-label">Video <span class="text-danger">*</span></label>
        {!! Form::file('video', ['class' => 'thumb_video form-control']) !!}
        <span class="help-block" id="error_video"><strong>{{ $errors->first('video') }}</strong></span>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="progress " id="div-progress" style="display: block">
            <div id="progress-bar" class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="00" aria-valuemin="0" aria-valuemax="100" style="width:00%">
              00%
            </div>
        </div> 
    </div>
    <div class="col-md-6  text-center">
        <br/>
        <img src="{{ !empty($record['image'])?$record['image_url']:url('public/assets/admin/images/not-available.jpg') }}" id="thumb_image" width="320" />
    </div>
    @if(!empty($record))
    <div class="col-md-6 text-center">
         <video width="320" height="240" controls>
            <source src="{{ $record['video_url'] }}" type="video/mp4">
            <source src="{{ $record['video_url'] }}" type="video/ogg">
            Your browser does not support the video tag.
        </video> 
    </div>
    @endif
</div>