@extends('admin.layout.app')

@section('content')
<div class="content-wrapper">

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1 class="pull-left">
			{{ $title }} List
		</h1>
		<span class="pull-right">
			
		</span>
		<p>&nbsp;</p>

	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-4 col-sm-6 col-xs-12">
				<div class="info-box bg-aqua">
					<span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Total File</span>
						<span class="info-box-number">{{ $count_total }}</span>
						<div class="progress">
							<div class="progress-bar" style="width: 100%"></div>
						</div>
						<span class="progress-description">
							<!--70% Increase in 30 Days-->
						</span>
					</div>
				</div>
			</div>
			<!-- /.col -->
			<div class="col-md-4 col-sm-6 col-xs-12">
				<div class="info-box bg-green">
					<span class="info-box-icon"><i class="fa fa-thumbs-o-up"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Total Active</span>
						<span class="info-box-number">{{ $count_active }}</span>
						<div class="progress">
							<div class="progress-bar" style="width: 100%"></div>
						</div>
						<span class="progress-description">
							<!--70% Increase in 30 Days-->
						</span>
					</div>
				</div>
			</div>
			<!-- /.col -->
			<div class="col-md-4 col-sm-6 col-xs-12">
				<div class="info-box bg-yellow">
					<span class="info-box-icon"><i class="fa fa-calendar"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Total Inactive</span>
						<span class="info-box-number">{{ $count_inactive }}</span>
						<div class="progress">
							<div class="progress-bar" style="width: 100%"></div>
						</div>
						<span class="progress-description">
							<!--70% Increase in 30 Days-->
						</span>
					</div>
				</div>
			</div>
		</div>
<!--            <div class="row">
			<div class="col-md-12">
				<a class="btn btn-app">
					<i class="fa fa-edit"></i> Edit
				</a>
				<a class="btn btn-app">
					<span class="badge bg-green">531</span>
					<i class="fa fa-heart-o"></i> Likes
				</a>
			</div>
		</div>-->
		<br/><hr/>
		<div class="row">
			<div class="col-md-3">
				<div class="form-group ">
					{!! Form::select('category',['' => '---- select category ----'] + App\Model\Category::Status()->get()->pluck('name','id')->toArray(),null, ['class' => 'form-control shorting','id' => 'short_category']) !!}
				</div>
			</div>
			<div class="col-md-3">
				<div class="form-group ">
					{!! Form::select('status',['' => '---- select status ----','Active' => 'Active' ,'Inactive' => 'Inactive'],null, ['class' => 'form-control shorting','id' => 'short_status']) !!}
				</div>
			</div>
			<div class="col-md-6 text-right">
				<a href="{{ route('admin.file-multiple-all') }}" class="btn btn-success "> <i class="fa fa-eye"></i> View All</a>
				<a href="{{ route('admin.file-multiple') }}" class="btn btn-success "> <i class="fa fa-plus"></i> Add multiple</a>
				<a href="{{ route($route.'create') }}" class="btn btn-success "> <i class="fa fa-plus"></i> Add new</a>
			</div>

		</div>
		<div class="row">
			<div class="col-xs-12">
				@include('flash')
				<div class="box box-info">
					<!-- /.box-header -->
					<div class="box-body   ">
						{{--<div class="table-responsive">--}}

						<table id="datatable1" class="table table-bordered table-striped ">
							<thead>
							<tr>
								<th width="50px">Index</th>
								<th>Category Name</th>
								<th>Name</th>
								<th>Image</th>
								<th>Image Size</th>
								<th>Created At</th>
								<th width="100px">Status</th>
								<th width="100px">Action</th>
							</tr>
							</thead>
							<tbody>
						   
							</tbody>
							<tfoot>
							<tr>
								<th>Index</th>
								<th>Category Name</th>
								<th>Name</th>
								<th>Image</th>
								<th>Image Size</th>
								<th>Created At</th>
								<th>Status</th>
								<th>Action</th>
							</tr>
							</tfoot>
						</table>
						{{--</div>--}}
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->
</div>
@endsection

@section('js')
		<!-- DataTables -->
<script type="text/javascript">
	$(document).ready(function () {
		var oTable = $('#datatable1').DataTable({
			//responsive: true,
			//autoWidth: false,
			stateSave: true,
			processing: true,
			serverSide: true,
            //scrollY: 300,
			ajax: {
				url: '{{ url('admin/file')  }}',
				data: function (d) {
					d.short_status = $('#short_status').val();
					d.short_category = $('#short_category').val();
				}
			},
			columns: [
				{data: 'id', name: 'id'},
				{data: 'category.name', name: 'category.name'},
				{data: 'name', name: 'name'},
				{data: 'image', name: 'name'},
				{data: 'image_size', name: 'id'},
				{data: 'created_at', name: 'created_at'},
				{data: 'status', name: 'status', searchable: false,orderable : false,className : 'text-center'},
				{data: 'action', name: 'action', searchable: false, orderable : false,className : 'text-center'},
			]
		});
		$('#datatable1').on('draw.dt', function () {
			$('.chk_status').each(function () {
				$(this).bootstrapToggle()
			});
		});
		$('.shorting').on('change', function(e) {
			oTable.draw();
		});
		$("body").on("change", ".chk_status", function () {
			var row_id = $(this).val();
			if ($(this).is(':checked')) {
				var status = $(this).attr('data-on');// If checked
			} else {
				var status = $(this).attr('data-off'); // If not checked
			}
			$.ajax({
				type: "PUT",
				url: '{{ url('admin/file') }}/' + row_id ,
				data: {
					"_token": "{{ csrf_token() }}",
					"id": row_id,
					"status": status,
				},
				beforeSend: function () {
					$('#datatable1').waitMe({effect: 'roundBounce'});
				},
				complete: function () {
					$('#datatable1').waitMe('hide');
				},
				error: function (e) {
					if (e.status == 403) {
						alert('Unauthorized: Access is denied due to invalid credentials.');
					}else{
						//alert('Error: ' + e);
						alert('internal error occurred.');
					}
				},
				success: function (result) {
					//Success Code.
				}
			});
		});
		$("#datatable1").on('click', '.data-delete', function () {
			var obj = $(this);
			var id = $(this).attr('data-id');
			if (confirm("Are you sure to Delete Data?")) {
				$.ajax({
					type: "DELETE",
					url: "{{ url('admin/file')  }}/" + id,
					data: {
						id: id,
						_token: "{{ csrf_token() }}"
					},
					dataType: 'json',
					beforeSend: function () {
						$(this).attr('disabled', true);
						$('.alert .msg-content').html('');
						$('.alert').hide();
					},
					success: function (resp) {
						oTable.ajax.reload();
						alert(resp.message);
					},
					error: function (e) {
						if (e.status == 403) {
							alert('Unauthorized: Access is denied due to invalid credentials.');
						}else{
							//alert('Error: ' + e);
							alert('internal error occurred.');
						}
					}
				});
			}
		});
	});
</script>
@endsection