@extends('admin.layout.app')

@section('js')


<link rel="stylesheet" href="{{ url('assets/admin/') }}/plugins/dropzone/basic.css">
<link rel="stylesheet" href="{{ url('assets/admin/') }}/plugins/dropzone/dropzone.css">

<!--<script src="{{ url('assets/admin/') }}/plugins/dropzone/dropzone.js"></script>-->
<script src="{{ url('assets/admin/') }}/plugins/dropzone/dropzone-amd-module.js"></script>
<script>
$(function(){
   
   $('body').on('change','#get_category',function(){
       var id = $(this).val();
       if(id == ''){
           window.location = '{{ route("admin.file-multiple-all") }}';
       }else{
           window.location = '{{ route("admin.file-multiple-all") }}?category_id='+id;
       }
       
   });
});
</script>
@endsection

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1 class="pull-left">
                Multiple {{ $title }} view
            </h1>
            <p>&nbsp;</p>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-3">
                    @component('admin.component.select', [
                        'name' => 'category',
                        'title' => 'select category',
                        'lists' => [''=>'All'] + App\Model\Category::all()->pluck('name','id')->toArray(),
                        'value'=> request()->has('category_id')?request()->get('category_id'):null,
                        'required'=>false,
                        'options'=>['id'=>'get_category']
                    ])@endcomponent
                </div>
                <div class="col-md-3">
                    <label>Status</label>
                    {!! Form::select('status',['' => '---- select status ----','Active' => 'Active' ,'Inactive' => 'Inactive'],null, ['class' => 'form-control shorting','id' => 'short_status']) !!}
                </div>
                <div class="col-md-6 text-right">
                    {{ $records->links() }}
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header with-border ">
                            <h3 class="box-title">Enter Details</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <div class="row">
                                @foreach($records as $key => $record)
                                @if($key %4==0)
                                    </div><hr/><div class="row">
                                @endif
                                <div class="col-md-3">
                                    <div style="">
                                        <a href="{{ $record['image_url'] }}" target="_blank"><img src="{{ $record['thumb_image_url'] }}" style="width: 100%; height: auto;" /></a>
                                    </div>
                                    <br/>
                                    <div>
                                        <span class="pull-left">{!! $record['status']=='Active'?'<small class="label pull-right bg-green">Active</small>':'<small class="label pull-right bg-yellow">Inactive</small>' !!}</span>
                                        <span class="pull-right"><small class="label pull-right bg-red">Delete</small></span>
                                        
                                    </div>    
                                </div>
                               
                                @endforeach
                            </div>
                            <br/>
                            
                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <a href="{{ route($route.'index') }}" type="submit"
                               class="btn btn-default pull-left">Back</a>
                               <div class="text-right">
                               
                               </div>
                            <!--<button type="submit" class="btn btn-primary pull-right">Submit</button>-->
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection

