<div class="row">
    <section class="col-lg-12 connectedSortable">
        <div class="nav-tabs-custom">
            <!-- Tabs within a box -->
            <ul class="nav nav-tabs pull-right">
                <!--<li class="active"><a href="#revenue-chart" data-toggle="tab">New Signups</a></li>-->
                <!--<li><a href="#sales-chart" data-toggle="tab">Donut</a></li>-->
                <li class="pull-left header"><i class="fa fa-inbox"></i> Sales</li>
            </ul>
            <div class="tab-content no-padding">
                <form class="ajax_chart" action="{{ url('admin/upload-analytics') }}" method="post"> 
                    {{ csrf_field() }}
                    <div class="row">
                        <br/>
                        <div class="col-md-3" style="margin-left: 20px;">
                            <div class="input-group " >
                                <div class="input-group-btn">
                                    <button type="button" class="btn btn-primary"><i class="fa fa-calendar"></i></button>
                                </div>
                                <!-- /btn-group -->
                                <input name="start_date" class="form-control datepicker" type="text" placeholder="Start date" value="{{ \Carbon\Carbon::now()->subDays('15')->format('d-m-Y') }}">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="input-group">
                                <div class="input-group-btn">
                                    <button type="button" class="btn btn-primary"><i class="fa fa-calendar"></i></button>
                                </div>
                                <!-- /btn-group -->
                                <input name="end_date" class="form-control datepicker" type="text" placeholder="End date" value="{{ \Carbon\Carbon::now()->addDays('2')->format('d-m-Y') }}">
                            </div>
                        </div>
                        <div class="col-md-1">
                            <div class="input-group">
                                <select class="form-control" name="group_by">
                                    <option value="day">Day</option>
                                    <option value="month">Month</option>
                                    <option value="year">Year</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="input-group ">
                                <button class="btn btn-primary " type="submit">Filter</button>
                            </div>
                        </div>

                    </div>
                </form>
                <hr/>

                <div class="chart tab-pane active" id="revenue-chart" style="position: relative; min-height: 300px;">
                    <canvas id="canvas" style="height: 400px"></canvas>
                </div>
            </div>
        </div>
    </section>
</div>

@section('js')

<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.13.0/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.bundle.min.js"></script> 
<script src="http://www.chartjs.org/samples/latest/utils.js"></script> 


<script type="text/javascript">
$(document).ready(function () {
    $('.ajax_chart').submit();
    $('.datepicker').datepicker({
        autoclose: true,
        format: 'dd-mm-yyyy',
        todayHighlight: true,
        todayBtn: true,
    });
});

$('body').on('submit', '.ajax_chart', function (e) {

    e.preventDefault();
    $(this).ajaxSubmit({
        target: '#targetLayer',
        beforeSubmit: function () {
        },
        uploadProgress: function (event, position, total, percentComplete) {
        },
        error: function (result) {
            //redirect if not authenticated user.
            return false;
            alert('error');
        },
        success: function (result) {

        },
        complete: function (result) {
            //ctx
            //console.log(result.responseJSON);
            //alert('123');
            //console.log(config);
            config.data.labels = [];
            config.data.datasets[0].data = [];
//            config.data.datasets[1].data = [];
//            config.data.datasets[2].data = [];
            var total_file = 0;
            

            $.each(result.responseJSON, function (key, value) { //order with payment
                config.data.labels.push(value.label);
                config.data.datasets[0].data.push(value.file);
//                config.data.datasets[1].data.push(value.android);
//                config.data.datasets[2].data.push(value.total);
                // Count Total 
                total_file = total_file + value.file;

                config.data.datasets[0].label = 'Uploaded File (' + total_file + ')';
//                config.data.datasets[1].label = 'Android (' + total_android + ')';
//                config.data.datasets[2].label = 'Total (' + (total_ios + total_android) + ')';
            });
            window.myLine.update();

            //console.log(config.data.labels);
        },
    });
});

var color = Chart.helpers.color;
var config = {
    type: 'line',
    data: {
        labels: [// Date Objects

        ],
        datasets: [
            {
                label: "Files",
                backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
                borderColor: window.chartColors.blue,
                fill: false,
                data: [],
            },
        ]
    },
    options: {
        title: {
            text: "Chart.js Time Scale",
            display: false,
        },
        tooltips: {
            mode: 'index',
            intersect: false,
        },
        hover: {
            mode: 'nearest',
            intersect: true
        },
        scales: {
            xAxes: [{
                    scaleLabel: {
                        display: true,
                        labelString: 'Date'
                    },
                }, ],
            yAxes: [{
                    scaleLabel: {
                        display: true,
                        labelString: 'value'
                    }
                }]
        },
    }
};

window.onload = function () {
    var ctx = document.getElementById("canvas").getContext("2d");
    window.myLine = new Chart(ctx, config);
};
</script>    
@append