@extends('admin.layout.app')
@section('content')
<div class="content-wrapper">
<section class="content-header">
		<h1 class="pull-left">
			{{ $title }} List
		</h1>

		<form method="post" action="{{ url('admin/bookinglist') }}" autocomplete="off"> 
            {{ csrf_field() }}
            <div class="col-md-4">
                <div class="form-group">
					{!! Form::select('flight_id',['' => '---- Select Flight ----'] +App\Model\Flight::all()->pluck('name','id')->toArray() ,null, ['class' => 'form-control js-example-basic-multiple','id'=>'flight_id']) !!}
				</div>
            </div>
			  <div class="col-md-3">
                <div class="form-group">
					{!! Form::select('cab_type',array('' => '---- select cab ----','Sharing' => 'Sharing','Special' => 'Special') ,null, ['class' => 'form-control js-example-basic-multiple','id'=>'cab_type']) !!}
				</div>
            </div>

			<div class="col-md-3">
                <div class="form-group">
					{!! Form::select('route_id',array('' => '---- select route ----','Rajkot City - Hirasar airport' => 'Rajkot City - Hirasar airport','Hirasar airport - Rajkot City' => 'Hirasar airport - Rajkot City') ,null, ['class' => 'form-control js-example-basic-multiple','id'=>'route_id']) !!}
				</div>
            </div>




			<div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('start_date',null, ['class' => 'form-control datepicker','placeholder'=>'Start Date','id'=>'start_date']) !!}
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('end_date',null, ['class' => 'form-control datepicker','placeholder'=>'End Date','id'=>'end_date']) !!}
                </div>
            </div>


		
			<div class="col-md-1">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
         </form>


		<span class="pull-right">
		
		</span>
		<p>&nbsp;</p>

	</section>
    <section class="content">
		<div class="row">
			<div class="col-xs-12">
				@include('flash')
				<div class="box box-info">
					<!-- /.box-header -->
					<div class="box-body   ">
						{{--<div class="table-responsive">--}}

						<table id="datatable1" class="table table-bordered table-striped ">
							<thead>
							<tr>
								<th>Name</th>
								<th>Route Name</th>
								<th>Flight Name</th>
								<th>Pickup Time</th>
								<th>Cab Type</th>
								<th>Cab Car</th>
								<th>No of Passanger</th>
								<th>Whatsapp No</th>
								<th>Date</th>
								<th>Amount</th>
								<th>Payment Id</th>
								<th width="100px">Status</th>
								<th width="100px">Action</th>
							</tr>
							</thead>
							<tbody>
							
							</tbody>
							<tfoot>
							<tr>
								<th>Name</th>
								<th>Route Name</th>
								<th>Flight Name</th>
								<th>Pickup Time</th>
								<th>Cab Type</th>
								<th>Cab Car</th>
								<th>No of Passanger</th>
								<th>Whatsapp No</th>
								<th>Date</th>
								<th>Amount</th>
								<th>Payment Id</th>
								<th>Status</th>
								<th>Action</th>
							</tr>
							</tfoot>
						</table>
						{{--</div>--}}
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
</div>

<!-- Excel Code Start -->
<div id="viewexcel">
	
</div>
<!-- Excel Code End -->	

@endsection
@section('js')

<script type="text/javascript">
$(document).ready(function () {
	$('.datepicker').datepicker({
		autoclose: true,
		format: 'dd-mm-yyyy',
		todayHighlight: true,
		todayBtn: true,
	});
});

$(document).ready(function () {
	$('.js-example-basic-multiple').select2();
});


    

   $(document).ready(function () {
    var flight_id=$('#flight_id').val();
	var cab_type=$('#cab_type').val();
	var route_id=$('#route_id').val();
	var start_date=$('#start_date').val();
	var end_date=$('#end_date').val();

   	var oTable = $('#datatable1').DataTable({
   		responsive: true,
   		autoWidth: false,
   		stateSave: true,
   		processing: true,
   		serverSide: true,
   		/*ajax: '{{ url('admin/officeaccount') }}',*/
		 ajax:{
			url: '{{ url('admin/bookinglist')  }}',
			type:'POST', 
			data:{_token:'{{csrf_token()}}',flight_id : flight_id,cab_type : cab_type,route_id:route_id,start_date:start_date,end_date:end_date},
			},
   		columns: [
			    {data: 'name', name: 'name'},
				{data: 'route_id', name: 'route_id'},
				{data: 'flight.name', name: 'flight.name',defaultContent:'-', searchable: false},
				{data: 'pickup_time', name: 'pickup_time'},
				{data: 'cab_type', name: 'cab_type'},
				{data: 'cab_car', name: 'cab_car'},
				{data: 'no_of_passenger', name: 'no_of_passenger'},
				{data: 'whatsappno', name: 'whatsappno'},
				{data: 'date', name: 'date'},
					{data: 'grandtotal', name: 'grandtotal'},
				{data: 'razorpay_payment_id', name: 'razorpay_payment_id'},
				{data: 'status', name: 'status', searchable: false,orderable : false,className : 'text-center'},
				{data: 'action', name: 'action', searchable: false, orderable : false,className : 'text-center'},
   		]
   	});
   	$('#datatable1').on('draw.dt', function () {
			$('.chk_status').each(function () {
				$(this).bootstrapToggle();
			});
		});
		$("body").on("change", ".chk_status", function () {
			var row_id = $(this).val();
			if ($(this).is(':checked')) {
				var status = $(this).attr('data-on');// If checked
			} else {
				var status = $(this).attr('data-off'); // If not checked
			}

			$.ajax({
				type: "PUT",
				url: '{{ url('admin/booking') }}/' + row_id ,
				data: {
					"_token": "{{ csrf_token() }}",
					"id": row_id,
					"status": status,
				},
				beforeSend: function () {
					$('#datatable1').waitMe({effect: 'roundBounce'});
				},
				complete: function () {
					$('#datatable1').waitMe('hide');
				},
				error: function (e) {
					if (e.status == 403) {
						alert('Unauthorized: Access is denied due to invalid credentials.');
					}else{
						//alert('Error: ' + e);
						alert('internal error occurred.');
					}
				},
				success: function (result) {
					//Success Code.
				}
			});
		});


		$("#datatable1").on('click', '.data-delete', function () {
			var obj = $(this);
			var id = $(this).attr('data-id');

			if (confirm("Are you sure to Delete Data?")) {
				$.ajax({
					type: "DELETE",
					url: "{{ url('admin/booking')  }}/" + id,
					data: {
						id: id,
						_token: "{{ csrf_token() }}"
					},
					dataType: 'json',
					beforeSend: function () {
						$(this).attr('disabled', true);
						$('.alert .msg-content').html('');
						$('.alert').hide();
					},
					success: function (resp) {
						oTable.ajax.reload();
						alert(resp.message);
					},
					error: function (e) {
						if (e.status == 403) {
							alert('Unauthorized: Access is denied due to invalid credentials.');
						}else{
							//alert('Error: ' + e);
							alert('internal error occurred.');
						}
					}
				});
			}
		});
	
   });
</script>
@endsection