@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1 class="pull-left">
                {{ $title }} Form
            </h1>
            <p>&nbsp;</p>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    @if(!empty($record))
                        {!! Form::model($record, ['route' => [$route.'update',$record->id],'files'=>true,'id'=>'myform', 'method' => 'patch', 'class' => 'ajax_submit']) !!}
                    @else
                        {!! Form::open(['url' => route($route.'store'),'files'=>true, 'method' => 'post','id'=>'myform' ,'class' => 'ajax_submit']) !!}
                    @endif
                    <div class="box box-primary">
                        <div class="box-header with-border ">
                            <h3 class="box-title">Enter Details</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            @include('admin.message.form')
                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <a href="{{ route($route.'index') }}" type="submit"
                               class="btn btn-default pull-left">Back</a>
                            <button type="submit" class="btn btn-primary pull-right">Submit</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                            <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
    </div>
@endsection

@section('js')
<link rel="stylesheet" href="{{ url('assets/admin/') }}/plugins/timepicker/bootstrap-timepicker.min.css">
<script src="{{ url('assets/admin/') }}/plugins/timepicker/bootstrap-timepicker.min.js"></script>
<script>
    $(function(){
       $('.datepicker').datepicker({
           autoclose:true,
           todayBtn:true,
           todayHighlight:true,
           format:'dd-mm-yyyy'
       });
        $('#timepicker1').timepicker({
            minuteStep: 5,
            showInputs: true,
            //appendWidgetTo: 'body',
            //showSeconds: true,
            //showMeridian: false,
            //defaultTime: true
        });
    });
</script>
@endsection