<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="form-group {{ $errors->has('title') ? ' has-error' : '' }}">
            <label class="control-label">Title <span class="text-danger">*</span></label>
            {!! Form::text('title',null, ['class' => 'form-control']) !!}
            <span class="help-block" id="error_title"><strong>{{ $errors->first('title') }}</strong></span>
        </div>
        <div class="form-group {{ $errors->has('message') ? ' has-error' : '' }}">
            <label class="control-label">Message <span class="text-danger">*</span></label>
            {!! Form::textarea('message',null, ['class' => 'form-control','rows' => '4']) !!}
            <span class="help-block" id="error_message"><strong>{{ $errors->first('message') }}</strong></span>
        </div>
    </div>
    <div class="col-md-3 col-md-offset-3">
        <div class="form-group {{ $errors->has('date') ? ' has-error' : '' }}">
            <label class="control-label">Date <span class="text-danger">*</span></label>
            {!! Form::text('date',!empty($record)?\Carbon\Carbon::parse($record['notify_time'])->format('d-m-Y'):\Carbon\Carbon::now()->format('d-m-Y'), ['class' => 'form-control datepicker']) !!}
            <span class="help-block" id="error_date"><strong>{{ $errors->first('date') }}</strong></span>
        </div>
    </div>
    <div class="col-md-3 ">
        <label class="control-label">Time <span class="text-danger">*</span></label>
        <div class="input-group bootstrap-timepicker timepicker {{ $errors->has('time') ? ' has-error' : '' }}">
            {!! Form::text('time',!empty($record)?\Carbon\Carbon::parse($record['notify_time'])->format('h:i A'):null, ['class' => 'form-control input-small','id' => 'timepicker1']) !!}
            <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
            <span class="help-block" id="error_time"><strong>{{ $errors->first('time') }}</strong></span>
        </div>
    </div>
    <div class="col-md-6 col-md-offset-3">
        <label class="control-label">Select Device<span class="text-danger">*</span></label>
        <div class="row">
            <div class="col-md-4">
                <label class="checkbox-inline"><input name="ios" type="checkbox" value="1" {{ !empty($record) && $record['ios']=='1'?'checked':'' }} >iOS</label>
            </div>
            <div class="col-md-4">
                <label class="checkbox-inline"><input name="android" type="checkbox" value="1" {{ !empty($record) && $record['android']=='1'?'checked':'' }}>Android</label>
            </div>
        </div>
    </div>
    
</div>
