@extends('admin.layout.app')

@section('content')
<style>
    .connectedSortable li .input-group{
        margin-bottom: 10px;
    }
</style>
{!! Form::open(['url' => route('test.store'), 'files' =>true, 'method' => 'post','id'=>'' ,'class' => '']) !!}
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1 class="pull-left">
            Details
        </h1>
        <button type="submit" class="btn btn-success pull-right">Submit</button>
        <p>&nbsp;</p>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-7">
                @if(!empty($root_category))
                <ul class=" list-unstyled" id="sortable_root">
                    @foreach($root_category as $root_key => $root)
                    <li >
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <div class="input-group ">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-default root-move-handler "><i class="fa fa-arrows"></i></a>
                                    </div>
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-success root-move-handler  pull-right addList"><i class="fa fa-plus"></i></a>
                                    </div>
                                    <input class="form-control root_field" name="root[{{ $root['id'] }}][root_name]" type="text" value="{{ $root['name'] }}">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-danger removeRoot" ><i class="fa fa-trash-o"></i></a>
                                    </div>
                                </div>
                            </div>
                            <div class="box-body">
                                <ul id="sortable1" class="list-unstyled connectedSortable" style="">
                                    @foreach($root['subcategory'] as $sub_key => $sub)
                                    <li>
                                        <div class="input-group ">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-default bull-move-handler"><i class="fa fa-arrows"></i></a>
                                            </div>
                                            <input name="root[{{ $root['id'] }}][{{ $sub['id'] }}]" class="form-control field" type="text" value="subcategory-{{ $sub['name'] }}">
                                            <input name="note[{{ $root['id'] }}][{{ $sub['id'] }}]" class="form-control note" type="hidden" value="{{ $sub['note'] }}">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-danger removeList" ><i class="fa fa-trash-o"></i></a>
                                            </div>
                                        </div>
                                    </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    </li>
                    @endforeach
                </ul>
                @else
                <ul class=" list-unstyled" id="sortable_root">
                    @for($i=0; $i<5;$i++)
                    <li >
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <div class="input-group ">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-default root-move-handler "><i class="fa fa-arrows"></i></a>
                                    </div>
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-success root-move-handler  pull-right addList"><i class="fa fa-plus"></i></a>
                                    </div>
                                    <input class="form-control" name="root[{{ $i+1 }}][root_name]" type="text" value="subcategory-{{ $i+1 }}">
                                    <div class="input-group-btn">
                                        <a type="button" class="btn btn-danger removeRoot" ><i class="fa fa-trash-o"></i></a>
                                    </div>
                                </div>
                            </div>
                            <div class="box-body">
                                <ul id="sortable1" class="list-unstyled connectedSortable" style="">
                                    @for($sub=10; $sub<15;$sub++)
                                    <li>
                                        <div class="input-group ">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-default bull-move-handler"><i class="fa fa-arrows"></i></a>
                                            </div>
                                            <input name="root[{{ $i+1 }}][{{ $sub }}]" class="form-control field" type="text" value="subcategory-{{ ($i+1).'-'.($sub+1) }}">
                                            <input name="note[{{ $i+1 }}][{{ $sub }}]" class="form-control note" type="hidden" value="note-{{ ($i+1).'-'.($sub+1) }}">
                                            <div class="input-group-btn">
                                                <a type="button" class="btn btn-danger removeList" ><i class="fa fa-trash-o"></i></a>
                                            </div>
                                        </div>
                                    </li>
                                    @endfor

                                </ul>
                            </div>
                        </div>
                    </li>
                    @endfor

                </ul>
                @endif
            </div>
            <div class="col-md-5">
                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
<!--                    <label class="control-label">Note</label>-->
                    {!! Form::textarea('descrioption',null, ['class' => 'form-control hidden','rows'=>'4','placeholder'=>'Enter Details','id' => 'set_note']) !!}
                </div>
            </div>
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>
{!! Form::close() !!}
@endsection

@section('js')
<script type="text/javascript">
    $(document).ready(function () {
        $("#sortable_root").sortable({
            handle: ".root-move-handler",
            forcePlaceholderSize: true,
        }).disableSelection();
        //$( "#sortable1, #sortable2" ).sortable({

        $(".connectedSortable").sortable({
            placeholder: "sort-highlight",
            connectWith: ".connectedSortable",
            handle: ".bull-move-handler",
            forcePlaceholderSize: true,
            // zIndex: 999999,
            //axis: "y"
        }).disableSelection();
        //$('#example1').DataTable();
        $('body').on('click', '.removeList', function (e) {
            if (confirm('Are you sure!')) {
                $(this).parent().parent().remove();
            }
        });
        $('body').on('click', '.removeRoot', function (e) {
            if (confirm('Are you sure!')) {
                $(this).closest('li').remove();
            }
        });
        var obj_hidden_note = null;
        $('body').on('click', '.field', function (e) {
            obj_hidden_note = $(this).parent().find('.note');
            var note = $(this).parent().find('.note').val();
            $('#set_note').val(note);
            $('#set_note').removeClass('hidden');
            
        });
        $('body').on('keyup', '#set_note', function (e) {
            var new_value = $(this).val();
            $(obj_hidden_note).val(new_value);
        });
        // hide Note when click on root category
        $('body').on('click', '.root_field', function (e) {
            $('#set_note').addClass('hidden');
        });


        $('body').on('click', '.addList', function (e) {
            var box_obj = $(this).parent().parent().parent().parent();
            
            $(box_obj).find('.connectedSortable').append('<li>' +
                    '<div class="input-group ">' +
                    '<div class="input-group-btn">' +
                    '<a type="button" class="btn btn-default bull-move-handler"><i class="fa fa-arrows"></i></a>' +
                    '</div>' +
                    '<input name="root[1][new][]" class="form-control" type="text" value="New Added">' +
                    '<div class="input-group-btn">' +
                    '<a type="button" class="btn btn-danger removeList" ><i class="fa fa-trash-o"></i></a>' +
                    '</div>' +
                    '</div>' +
                    '</li>');
        });
    });
</script>
@endsection