@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">

@endsection

@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Event-Detail</title>
@endsection

@section('body')


<style>

    .mainpflex{
        display: flex;
    }
    
    .blog-box {
        border: none !important;
        box-shadow: none !important;
        -webkit-box-shadow: none !important;
        -moz-box-shadow: none !important;
        margin-top: none !important;
        border-radius: none !important;
        overflow: hidden !important;
        background: none !important;
        transition: none !important;
    }

    .maincontainer {
        width: 79%;
        margin-left: 125px;
        padding-left: 30px;
    }

    @media (min-width: 320px) and (max-width: 767px) {
        .maincontainer {
            width: 95% !important;
            margin: 0px auto !important;
        }

        .csslider>ul {
            width: 245px !important;
            height: 300px !important;

        }

        .ytp-cued-thumbnail-overlay-image {
            width: 100% !important;
            height: 80% !important;
        }

        button.ytp-large-play-button.ytp-button.ytp-large-play-button-red-bg {
            top: 36% !important;
        }
        a.ytp-title-link.yt-uix-sessionlink {
            font-size: 12px !important;
        }
    }

    @media (min-width: 767px) and (max-width: 991px) {
        .maincontainer {
            width: 92% !important;
            margin: 0px 27px !important;
        }
        .csslider>ul {
            width: 645px !important;
            height: 300px !important;
        }

        .ytp-cued-thumbnail-overlay-image {
            width: 100% !important;
            height: 80% !important;
        }

        button.ytp-large-play-button.ytp-button.ytp-large-play-button-red-bg {
            top: 36% !important;
        }
        a.ytp-title-link.yt-uix-sessionlink {
            font-size: 12px !important;
        }
    }

    @media (min-width: 991px) and (max-width: 1200px) {
        .maincontainer {
            width: 78% !important;
            margin-left: 109px !important;
        }
        .csslider>ul {
            width: 850px !important;
            height: 417px !important;
        }
    }


    .ytp-title-channel{
        display: none !important; 
    }
    
    .csslider {
        -moz-perspective: 1300px;
        -ms-perspective: 1300px;
        -webkit-perspective: 1300px;
        perspective: 1300px;
        display: inline-block;
        text-align: left;
        position: relative;
        margin-bottom: 22px;
    }

    .csslider>input {
        display: none;
    }

    .csslider>input:nth-of-type(10):checked~ul li:first-of-type {
        margin-left: -900%;
    }

    .csslider>input:nth-of-type(9):checked~ul li:first-of-type {
        margin-left: -800%;
    }

    .csslider>input:nth-of-type(8):checked~ul li:first-of-type {
        margin-left: -700%;
    }

    .csslider>input:nth-of-type(7):checked~ul li:first-of-type {
        margin-left: -600%;
    }

    .csslider>input:nth-of-type(6):checked~ul li:first-of-type {
        margin-left: -500%;
    }

    .csslider>input:nth-of-type(5):checked~ul li:first-of-type {
        margin-left: -400%;
    }

    .csslider>input:nth-of-type(4):checked~ul li:first-of-type {
        margin-left: -300%;
    }

    .csslider>input:nth-of-type(3):checked~ul li:first-of-type {
        margin-left: -200%;
    }

    .csslider>input:nth-of-type(2):checked~ul li:first-of-type {
        margin-left: -100%;
    }

    .csslider>input:nth-of-type(1):checked~ul li:first-of-type {
        margin-left: 0%;
    }

    .csslider>ul {
        position: relative;
        width: 820px;
        height: 420px;
        z-index: 1;
        font-size: 0;
        line-height: 0;
        border: 10px solid #ffffff;
        margin: 0 auto;
        padding: 0;
        overflow: hidden;
        white-space: nowrap;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

    .csslider>ul>li {
        position: relative;
        display: inline-block;
        width: 100%;
        height: 100%;
        overflow: hidden;
        font-size: 15px;
        font-size: initial;
        line-height: normal;
        -moz-transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
        -o-transition: all 0.5s ease-out;
        -webkit-transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
        transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
        vertical-align: top;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        white-space: normal;
    }

    .csslider>.navigation {
        position: absolute;
        bottom: -8px;
        left: 50%;
        z-index: 10;
        margin-bottom: -10px;
        font-size: 0;
        line-height: 0;
        text-align: center;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    .csslider>.navigation>div {
        margin-left: -100%;
    }

    .csslider>.navigation label {
        position: relative;
        display: inline-block;
        cursor: pointer;
        border-radius: 50%;
        margin: 0 4px;
        padding: 4px;
        background: #3A3A3A;
    }

    .csslider>.navigation label:hover:after {
        opacity: 1;
    }

    .csslider>.navigation label:after {
        content: '';
        position: absolute;
        left: 50%;
        top: 50%;
        margin-left: -6px;
        margin-top: -6px;
        background: black;
        border-radius: 50%;
        padding: 6px;
        opacity: 0;
    }

    .csslider>.arrows {
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    .csslider.inside .navigation {
        bottom: 10px;
        margin-bottom: 10px;
    }

    .csslider>input:nth-of-type(1):checked~.navigation label:nth-of-type(1):after,
    .csslider>input:nth-of-type(2):checked~.navigation label:nth-of-type(2):after,
    .csslider>input:nth-of-type(3):checked~.navigation label:nth-of-type(3):after,
    .csslider>input:nth-of-type(4):checked~.navigation label:nth-of-type(4):after,
    .csslider>input:nth-of-type(5):checked~.navigation label:nth-of-type(5):after,
    .csslider>input:nth-of-type(6):checked~.navigation label:nth-of-type(6):after,
    .csslider>input:nth-of-type(7):checked~.navigation label:nth-of-type(7):after,
    .csslider>input:nth-of-type(8):checked~.navigation label:nth-of-type(8):after,
    .csslider>input:nth-of-type(9):checked~.navigation label:nth-of-type(9):after,
    .csslider>input:nth-of-type(10):checked~.navigation label:nth-of-type(10):after,
    .csslider>input:nth-of-type(11):checked~.navigation label:nth-of-type(11):after {
        opacity: 1;
    }

    .csslider>.arrows {
        position: absolute;
        left: -31px;
        top: 50%;
        width: 100%;
        height: 26px;
        padding: 0 31px;
        z-index: 0;
        -moz-box-sizing: content-box;
        -webkit-box-sizing: content-box;
        box-sizing: content-box;
    }

    .csslider>.arrows label {
        display: none;
        position: absolute;
        top: -50%;
        padding: 13px;
        box-shadow: inset 2px -2px 0 1px #3A3A3A;
        cursor: pointer;
        -moz-transition: box-shadow 0.15s, margin 0.15s;
        -o-transition: box-shadow 0.15s, margin 0.15s;
        -webkit-transition: box-shadow 0.15s, margin 0.15s;
        transition: box-shadow 0.15s, margin 0.15s;
    }

    .csslider>.arrows label:hover {
        box-shadow: inset 3px -3px 0 2px #ff0000;
        margin: 0 0px;
    }

    .csslider>.arrows label:before {
        content: '';
        position: absolute;
        top: -100%;
        left: -100%;
        height: 300%;
        width: 300%;
    }

    .csslider.infinity>input:first-of-type:checked~.arrows label.goto-last,
    .csslider>input:nth-of-type(1):checked~.arrows>label:nth-of-type(0),
    .csslider>input:nth-of-type(2):checked~.arrows>label:nth-of-type(1),
    .csslider>input:nth-of-type(3):checked~.arrows>label:nth-of-type(2),
    .csslider>input:nth-of-type(4):checked~.arrows>label:nth-of-type(3),
    .csslider>input:nth-of-type(5):checked~.arrows>label:nth-of-type(4),
    .csslider>input:nth-of-type(6):checked~.arrows>label:nth-of-type(5),
    .csslider>input:nth-of-type(7):checked~.arrows>label:nth-of-type(6),
    .csslider>input:nth-of-type(8):checked~.arrows>label:nth-of-type(7),
    .csslider>input:nth-of-type(9):checked~.arrows>label:nth-of-type(8),
    .csslider>input:nth-of-type(10):checked~.arrows>label:nth-of-type(9),
    .csslider>input:nth-of-type(11):checked~.arrows>label:nth-of-type(10) {
        display: block;
        left: 0;
        right: auto;
        -moz-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    .csslider.infinity>input:last-of-type:checked~.arrows label.goto-first,
    .csslider>input:nth-of-type(1):checked~.arrows>label:nth-of-type(2),
    .csslider>input:nth-of-type(2):checked~.arrows>label:nth-of-type(3),
    .csslider>input:nth-of-type(3):checked~.arrows>label:nth-of-type(4),
    .csslider>input:nth-of-type(4):checked~.arrows>label:nth-of-type(5),
    .csslider>input:nth-of-type(5):checked~.arrows>label:nth-of-type(6),
    .csslider>input:nth-of-type(6):checked~.arrows>label:nth-of-type(7),
    .csslider>input:nth-of-type(7):checked~.arrows>label:nth-of-type(8),
    .csslider>input:nth-of-type(8):checked~.arrows>label:nth-of-type(9),
    .csslider>input:nth-of-type(9):checked~.arrows>label:nth-of-type(10),
    .csslider>input:nth-of-type(10):checked~.arrows>label:nth-of-type(11),
    .csslider>input:nth-of-type(11):checked~.arrows>label:nth-of-type(12) {
        display: block;
        right: 0;
        left: auto;
        -moz-transform: rotate(225deg);
        -ms-transform: rotate(225deg);
        -o-transform: rotate(225deg);
        -webkit-transform: rotate(225deg);
        transform: rotate(225deg);
    }

    /*#region MODULES */
    /*#endregion */
    /*___________________________________ LAYOUT ___________________________________ */
    * {
        margin: 0;
        padding: 0;
    }

    ul {
        padding-left: 40px;
    }

    #slider1 {
        margin: 20px;
        font-family: 'Lato';
    }

    #slider1>input:nth-of-type(3):checked~ul #bg {
        width: 80%;
        padding: 22px;
        -moz-transition: .5s .5s;
        -o-transition: .5s .5s;
        -webkit-transition: .5s .5s;
        transition: .5s .5s;
    }

    #slider1>input:nth-of-type(3):checked~ul #bg div {
        -moz-transform: translate(0);
        -ms-transform: translate(0);
        -o-transform: translate(0);
        -webkit-transform: translate(0);
        transform: translate(0);
        -moz-transition: .5s .9s;
        -o-transition: .5s .9s;
        -webkit-transition: .5s .9s;
        transition: .5s .9s;
    }

    /*#videos */
    /*___________________________________ LAYOUT ___________________________________ */
    video {
        width: 710px;
        height: 400px;
        background: transparent url('') no-repeat 0 0;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }

    p {
        margin-left: 3em;
    }




    img#slick-slide01,
    img#slick-slide02,
    img#slick-slide03,
    img#slick-slide04,
    img#slick-slide00,
    img#slick-slide05,
    img.slick-slide.slick-cloned {
        height: 400px !important;
        padding: 14px !important;
    }

    .slick-dots {
        display: flex;
        justify-content: center;
        margin: 0;
        padding: 1rem 0;
        list-style-type: none;
    }

    .slick-dots li {
        margin: 0 0.25rem;
    }

    .slick-dots button {
        display: block;
        width: 1rem;
        height: 1rem;
        padding: 0;
        border: none;
        border-radius: 100%;
        background-color: #ff431e;
        text-indent: -9999px;
    }

    .slick-dots li.slick-active button {
        background-color: black;
    }

    .gridflex {
        display: flex;
    }

    section {
        padding: 70px 0 70px;
    }

    .newtitel {
        display: flex;
        justify-content: center;
        column-gap: 10px;
    }

    .profile-pic-wrapper {
        height: 30vh;
        width: 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .pic-holder {
        text-align: center;
        position: relative;
        border-radius: 50%;
        width: 150px;
        height: 150px;
        overflow: hidden;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;
    }

    .pic-holder .pic {
        height: 100%;
        width: 100%;
        -o-object-fit: cover;
        object-fit: cover;
        -o-object-position: center;
        object-position: center;
    }

    .pic-holder .upload-file-block,
    .pic-holder .upload-loader {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: rgba(90, 92, 105, 0.7);
        color: #f8f9fc;
        font-size: 12px;
        font-weight: 600;
        opacity: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 0.2s;
    }

    .pic-holder .upload-file-block {
        cursor: pointer;
    }

    .pic-holder:hover .upload-file-block,
    .uploadProfileInput:focus~.upload-file-block {
        opacity: 1;
    }

    .pic-holder.uploadInProgress .upload-file-block {
        display: none;
    }

    .pic-holder.uploadInProgress .upload-loader {
        opacity: 1;
    }

    /* Snackbar css */
    .snackbar {
        visibility: hidden;
        min-width: 250px;
        background-color: #333;
        color: #fff;
        text-align: center;
        border-radius: 2px;
        padding: 16px;
        position: fixed;
        z-index: 1;
        left: 50%;
        bottom: 30px;
        font-size: 14px;
        transform: translateX(-50%);
    }

    .snackbar.show {
        visibility: visible;
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

    @-webkit-keyframes fadein {
        from {
            bottom: 0;
            opacity: 0;
        }

        to {
            bottom: 30px;
            opacity: 1;
        }
    }

    @keyframes fadein {
        from {
            bottom: 0;
            opacity: 0;
        }

        to {
            bottom: 30px;
            opacity: 1;
        }
    }

    @-webkit-keyframes fadeout {
        from {
            bottom: 30px;
            opacity: 1;
        }

        to {
            bottom: 0;
            opacity: 0;
        }
    }

    @keyframes fadeout {
        from {
            bottom: 30px;
            opacity: 1;
        }

        to {
            bottom: 0;
            opacity: 0;
        }
    }






    .text-center {
        text-align: center;
        margin-top: 15px;
    }

    input#birthday {
        height: 50px;
        border: 1px solid #dde6ef;
        margin-bottom: 10px;
        box-shadow: none;
        border-radius: 0;
        background: #fbfdff;
        font-size: 15px;
        color: #445461;
        padding: 6px 30px 6px 18px;
        font-weight: 400;
    }

    .checkbox-wrapper-31:hover .check {
        stroke-dashoffset: 0;
    }

    .checkbox-wrapper-31 {
        position: relative;
        display: inline-block;
        width: 26px;
        height: 26px;
    }

    .checkbox-wrapper-31 .background {
        fill: #ccc;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 .stroke {
        fill: none;
        stroke: #fff;
        stroke-miterlimit: 10;
        stroke-width: 2px;
        stroke-dashoffset: 100;
        stroke-dasharray: 100;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 .check {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
        stroke-dashoffset: 22;
        stroke-dasharray: 22;
        transition: ease all 0.6s;
        -webkit-transition: ease all 0.6s;
    }

    .checkbox-wrapper-31 input[type=checkbox] {
        position: absolute;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        margin: 0;
        opacity: 0;
        -appearance: none;
        -webkit-appearance: none;
    }

    .checkbox-wrapper-31 input[type=checkbox]:hover {
        cursor: pointer;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .background {
        fill: #6cbe45;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .stroke {
        stroke-dashoffset: 0;
    }

    .checkbox-wrapper-31 input[type=checkbox]:checked+svg .check {
        stroke-dashoffset: 0;
    }
</style>






<div class="clearfix"></div>

<!-- ================ Start Page Title ======================= -->
<section class="title-transparent page-title" style="background:url(images/title-bg.jpg);">
    <div class="container">
        <div class="title-content">
            <h1>Events Details</h1>
            <div class="breadcrumbs">
                <a href="#">Home</a>
                <span class="gt3_breadcrumb_divider"></span>
                <span class="current">Events Details</span>
            </div>
        </div>
    </div>
</section>

<!-- ================ End Page Title ======================= -->

<div class="container">
    <div class="row">
        <div class="maincontainer blog-box col-md-12 col-sm-6">
            <div class=" gridflex blog-grid-box">
                <div class="blog-grid-box-img boxsize">
                    <img src="{{$eventcheck->image_url}}" style="width:558px;height:358px;" class="img-responsive" alt="">
                </div>
                <div style="width:-webkit-fill-available; padding: 40px 25px;" class="blog-grid-box-content">
                    <div class="blog-avatar text-center">
                        <img src="assets/user-1.png" class="img-responsive" alt="">
                        <!-- <p><strong>By</strong> <span class="theme-cl">Adam Khiwak</span></p> -->
                    </div>
                    <h4 class="mainlist">{{$eventcheck->title}}</h4>
                    <i class="fa-duotone fa-calendar-days"></i>
                    <h5>Date:{{date('d-m-Y',strtotime($eventcheck->datee))}}</h5>
                    <h5>Time:{{$eventcheck->time}}</h5>
                    <!-- <a href="blog-detail.html" class="theme-cl" title="Read More..">Continue...</a> -->
                </div>
                <!--                  <a href="" style="float:left;margin-left: 77px;"><button class="btn btn-primary" style="margin-bottom: 22px;" type="button">Join Us</button></a>-->
                <!--<a href="" style="float:right;margin-right: 68px;"><button class="btn btn-primary" style="margin-bottom: 22px;" type="button">Read More</button></a>-->
            </div>
            <p></p>
            <p>{!! $eventcheck->description !!}</p>
                <p></p>
        </div>
    </div>
</div>





<!-- ================ Start Add Listing Section ======================= -->
<?php /*
        <form action="{{url('eventapplystore')}}" method="post" enctype="multipart/form-data">
             {{ csrf_field() }}
        <section>
            <div class="container">
                <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
                    <!-- General Information -->
					
                    <div class="add-listing-box general-info">
                        <div class="listing-box-header">
                            <i class="ti-files theme-cl"></i>
                            <h3>Apply Now</h3>
                           
                        </div>
                       
                            <div class="row mrg-r-10 mrg-l-10">
                                <div class="col-sm-6">
                                    <label>Name :</label>
                                    <input type="text" name="name" class="form-control">
									<input type="hidden" name="eventcheck_id" value="{{$eventcheck->id}}">
                                </div>
								
                                <div class="col-sm-6">
                                    <label>Middle Name :</label>
                                    <input type="text" name="middle_name" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label>Surname :</label>
                                    <input type="text" name="surname" class="form-control">
                                </div>
                                <div iv class="col-sm-6">
                                    <label> Email Id :</label>
                                    <input type="text" name="email" class="form-control">
                                </div>
                                <div iv class="col-sm-6">
                                    <label>Mobile No (Whatsapp) :</label>
                                    <input type="text" name="mobile_whatsapp" class="form-control">
                                </div>
								<?php /*
                                <div iv class="col-sm-6">
                                    <label>User Name :</label>
                                    <input type="text" name="username" class="form-control">
                                </div>
                                <div iv class="col-sm-6">
                                    <label>Password :</label>
                                    <input type="text" name="password" class="form-control">
                                </div>
                                <div iv class="col-sm-6">
                                    <label>Confirm Password :</label>
                                    <input type="text" name="confirm_password" class="form-control">
                                </div>
								 
                                <div iv class="col-sm-3" style="">
                                
                                        <label for="birthday">Date of Birth :</label>
                                        <input type="date" id="birthday" name="date_of_birth"
                                            style="width: -webkit-fill-available; height: 48px;">
                                  
                                </div>
                                <div class="col-sm-3">
                                    <label>Gender :</label>
                                    <select style="width: -webkit-fill-available !important;" name="gender" data-placeholder="Choose City" class="form-control chosen-select"
                                        tabindex="2">
                                        <option for="gender" value="">Choose Gender</option>
                                        <option  for="gender" value="male">Male</option>
                                        <option  for="gender" value="female">Female</option>
                                        <option  for="gender" value="other">Other</option>
                                    </select>
                                </div>
                                <div class="col-sm-6">
                                    <label>Marital Status :</label>
                                    <select data-placeholder="Choose city" name="martial_status" class="form-control chosen-select"
                                        tabindex="2">
                                        <option for="martial_status" value="">Choose Status</option>
                                        <option for="martial_status" value="single">Single</option>
                                        <option for="martial_status" value="married">Married</option>
                                        <option for="martial_status" value="divorced">Divorced</option>
                                    </select>
                                </div>
                                <div  class="col-sm-6">
                                    <label>Education :</label>
                                    <input type="text" name="education" class="form-control">
                                </div>
                                <div iv class="col-sm-6">
                                    <label>Sadri UID :</label>
                                    <input type="text" name="sadari_uid" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label> Sub Religion :</label>
                                    <select data-placeholder="Choose City" name="sub_religion" class="form-control chosen-select"
                                        tabindex="2">
                                        <option for="sub_religion" value="">Sub Religion </option>
                                        <option for="sub_religion" value="oswal-sthanak">Oswal-Sthanak </option>
                                        <option for="sub_religion" value="oswal-mandir">Oswal-Mandir</option>
                                        <option for="sub_religion" value="porwal-sthanak">Porwal-Sthanak</option>
                                        <option for="sub_religion" value="porwal-mandir">Porwal-Mandir</option>
                                    </select>
                                </div>        
                                <div class="profile-pic-wrapper">
                                    <div class="pic-holder">
                                        <!-- uploaded pic shown here -->
                                        <img id="profilePic" class="pic" src="public/assets/design/images/business1.jpg">
                                            <Input class="uploadProfileInput" type="file" name="profile_image" id="newProfilePhoto" accept="image/*" style="opacity: 0;" />
                                            <label for="newProfilePhoto" class="upload-file-block">
                                        <div class="text-center">
                                        <div class="mb-2">
                                            <i class="fa fa-camera fa-2x"></i>
                                        </div>
                                        <div class="text-uppercase">Update <br /> Profile Photo</div>
                                    </div>
                                </label>
                            </div>
                            <h5>Profile Photo</h5>
                            </div>
                       
                    </div>
                </div>
				  
            </div>
        </section>
        
        
        <section>
            <div class="container">
                <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
                    <!-- General Information -->
                    <div class="add-listing-box general-info" style="height: 490px;">
                        <div class="listing-box-header">
                            <i class="ti-files theme-cl"></i>
                            <h3>Residential Address</h3>
                        </div>
                       
                                <div class="col-sm-6">
                                    <label>Addr1:</label>
                                    <input type="text" name="residential_address1" id="residential_address1" class="form-control">
                                </div>
                                 <div  class="col-sm-6">
                                    <label>Addr2:</label>
                                    <input type="text" name="residential_address2" id="residential_address2" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label>Location :</label>
                                    <input type="text" name="residential_location" id="residential_location" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label> State :</label>
                                    <input type="text" name="residential_state" id="residential_state" class="form-control">
                                </div>  
                                <div  class="col-sm-6">
                                    <label> Pincode :</label>
                                    <input type="text" name="residential_pincode" id="residential_pincode" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label> Country :</label>
                                    <input type="text" name="residential_country" id="residential_country" class="form-control">
                                </div>
								 <div class="col-sm-6">
                                    <label> City :</label>
                                    <input type="text" name="residential_city" id="residential_city" class="form-control">
                                </div>
                      
                    </div>
                </div>
            </div>
        </section>
        
        
         <section>
            <div class="container">
                <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
                    <!-- General Information -->
                    <div class="add-listing-box general-info" style="height: 460px;">
                        <div class="listing-box-header">
                            <i class="ti-files theme-cl"></i>
                            <h3>Sadri House Address</h3>
                        </div>
                      
                        <div iv class="col-sm-6">
                                    <label>Addr1:</label>
                                    <input type="text" name="sadarihouse_address1" class="form-control">
                                </div>
                                 <div class="col-sm-6">
                                    <label>Addr2:</label>
                                    <input type="text" name="sadarihouse_address2" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label>Location :</label>
                                    <input type="text" name="sadarihouse_location" id="sadarihouse_location" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label> State :</label>
                                    <input type="text" name="sadarihouse_state" id="sadarihouse_state" class="form-control">
                                </div>  
                                <div  class="col-sm-6">
                                    <label> Pincode :</label>
                                    <input type="text" name="sadarihouse_pincode" id="sadarihouse_pincode" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label> Country :</label>
                                    <input type="text" name="sadarihouse_country" id="sadarihouse_country" class="form-control">
                                </div>
                       
                    </div>
                </div>
            </div>
        </section>
        
        
        
        <section>
            <div class="container">
                <div class="col-md-10 col-sm-12 col-md-offset-1 mob-padd-0">
                    <!-- General Information -->
                    <div class="add-listing-box general-info " style="height: 880px;">
                        <div class=" listing-box-header">
                            <i class="ti-files theme-cl"></i>
                            <h3 class="">Business Address</h3>
                        </div>
                         <div class="listing-box-header newtitel">
                            <p class="font-size: 16px;">Business Address same as residential address</p>
                            <div class="checkbox-wrapper-31">
                                <input id="copyAddress" type="checkbox" value="">
                                    <svg viewBox="0 0 35.6 35.6">
                                        <circle class="background" cx="17.8" cy="17.8" r="17.8"></circle>
                                        <circle class="stroke" cx="17.8" cy="17.8" r="14.37"></circle>
                                    <polyline class="check" points="11.78 18.12 15.55 22.23 25.17 12.87"></polyline>
                                </svg>
                            </div>
                        </div>
                        <form>
                        <div iv class="col-sm-6">
                                    <label>Name of Business</label>
                                    <input type="text" name="name_business" class="form-control">
                                </div>
                                <div class="col-sm-6">
								<?php  $category= App\Model\Category::get();  ?>
                                    <label>Business Category</label>
                                    <select data-placeholder="Choose City" name="business_category" class="form-control chosen-select"
                                        tabindex="2">
										@foreach($category as $c)
                                        <option for="business_category" value="{{$c->name}}" >{{$c->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div  class="col-sm-6">
                                    <label>Addr1:</label>
                                    <input type="text" name="business_address1" id="business_address1" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label>Addr2:</label>
                                    <input type="text" name="business_address2" id="business_address2" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label>Location</label>
                                    <input type="text" name="business_location" id="business_location" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label> State :</label>
                                    <input type="text" name="business_state" id="business_state" class="form-control">
                                </div> 
                                <div  class="col-sm-6">
                                    <label> City :</label>
                                    <input type="text" name="business_city" id="business_city" class="form-control">
                                </div>  
                                <div class="col-sm-6">
                                    <label> Pincode :</label>
                                    <input type="text" name="business_pincode" id="business_pincode" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label> Country :</label>
                                    <input type="text" name="business_country" id="business_country" class="form-control">
                                </div>
                                <div  class="col-sm-6">
                                    <label> Website:</label>
                                    <input type="text" name="business_website" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label>Business Profile :</label>
                                    <input type="text" name="business_profile" class="form-control">
                                </div>
                                <div class="col-sm-6">
                                    <label>Products :</label>
                                    <select data-placeholder="Choose City" name="product_type" class="form-control chosen-select"
                                        tabindex="2">
                                        <option for="product_type" value="image">Image</option>
                                        <option for="product_type" value="label">Label</option>
                                        <option for="product_type" value="description">Description</option>
                                    </select>
                                </div>
                                <div  class="col-sm-6">
                                    <label>Brochures & Price List :</label>
                                    <input type="text" name="business_brochure_price" class="form-control">
                                </div>
              
                    </div>
                    <div class="text-center">
                        <button class="btn theme-btn">Submit Listing</button>
                    </div>
                </div>
            </div>
        </section>
    </form>
	 */ ?>
<!-- ================ End Add Listing Section =======================-->




<section class="container">
    <h2 style="text-align: center;">Photo Gallery</h2>
    <div class="mainimg">
	    @foreach ($eventimage as $e)
        <img src="{{$e->image1_url}}"  height="200px">
		@endforeach
       
    </div>
</section>



<html>

<body>

<h2 style="text-align: center;">Video Gallery</h2>
    <div style="margin-bottom: 100px; overflow-x: hidden; text-align: center">
        <div class="csslider infinity" id="slider1">
            <input type="radio" name="slides" checked="checked" id="slides_1" />
            <input type="radio" name="slides" id="slides_2" />
            <input type="radio" name="slides" id="slides_3" />
            <ul>
			@foreach ($youtube as $y)
                <li>
				
				    <p>
                    <iframe width="100%" height="400px" src="{{$y->youtube_link}}" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                    </p>
			    
                </li>
               @endforeach
                
            </ul>
            <div class="arrows">
                <label for="slides_1"></label>
                <label for="slides_2"></label>
                <label for="slides_3"></label>
                <label class="goto-first" for="slides_1"></label>
                <label class="goto-last" for="slides_10"></label>
            </div>
            <div class="navigation">
                <div>
                    <label for="slides_1"></label>
                    <label for="slides_2"></label>
                    <label for="slides_3"></label>
                </div>
            </div>
        </div>
    </div>
</body>

</html>


@endsection
@section('js')
<script>
    $(document).ready(function() {
        $('#copyAddress').on('change', function() {
            if ($(this).is(':checked')) {
                // Copy the address from Address 1 to Address 2
                var address1Value = $('#residential_address1').val();
                $('#business_address1').val(address1Value);
                var address2Value = $('#residential_address2').val();
                $('#business_address2').val(address1Value);
                var locationValue = $('#residential_location').val();
                $('#business_location').val(locationValue);
                var stateValue = $('#residential_state').val();
                $('#business_state').val(stateValue);
                var pincodeValue = $('#residential_pincode').val();
                $('#business_pincode').val(pincodeValue);
                var countryValue = $('#residential_country').val();
                $('#business_country').val(countryValue);
                var cityValue = $('#residential_city').val();
                $('#business_city').val(cityValue);
            }
        });
    });
</script>



<script>
    $('.mainimg').slick({
        dots: true,
        infinite: true,
        arrows: true,
        speed: 300,
        slidesToShow: 4,
        slidesToScroll: 1,
        responsive: [{
                breakpoint: 1024,
                settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3,
                    infinite: true,
                    dots: true
                }
            },
            {
                breakpoint: 600,
                settings: {
                    slidesToShow: 2,
                    slidesToScroll: 2
                }
            },
            {
                breakpoint: 480,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            }
            // You can unslick at a given breakpoint now by adding:
            // settings: "unslick"
            // instead of a settings object
        ]
    });
</script>

<script>


</script>


@endsection