@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection

@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Event</title>
@endsection

@section('body')

<style>
	.blog-grid-box-img {
		height: 270px !important;
		max-height: 350px !important;
	}

	/*
 CSS for the main interaction
*/
	.tabset>input[type="radio"] {
		position: absolute;
		left: -200vw;
	}

	.tabset .tab-panel {
		display: none;
	}

	.tabset>input:first-child:checked~.tab-panels>.tab-panel:first-child,
	.tabset>input:nth-child(3):checked~.tab-panels>.tab-panel:nth-child(2),
	.tabset>input:nth-child(5):checked~.tab-panels>.tab-panel:nth-child(3),
	.tabset>input:nth-child(7):checked~.tab-panels>.tab-panel:nth-child(4),
	.tabset>input:nth-child(9):checked~.tab-panels>.tab-panel:nth-child(5),
	.tabset>input:nth-child(11):checked~.tab-panels>.tab-panel:nth-child(6) {
		display: block;
	}

	/*
 Styling
*/


	.tabset>label {
		position: relative;
		display: inline-block;
		padding: 15px 15px 25px;
		border: 1px solid transparent;
		border-bottom: 0;
		cursor: pointer;
		font-weight: 600;
	}

	.tabset>label::after {
		content: "";
		position: absolute;
		left: 15px;
		bottom: 10px;
		width: 22px;
		height: 4px;
		background: #8d8d8d;
	}

	input:focus-visible+label {
		outline: 2px solid rgba(0, 102, 204, 1);
		border-radius: 3px;
	}

	.tabset>label:hover,
	.tabset>input:focus+label,
	.tabset>input:checked+label {
		color: #06c;
	}

	.tabset>label:hover::after,
	.tabset>input:focus+label::after,
	.tabset>input:checked+label::after {
		background: #06c;
	}

	.tabset>input:checked+label {
		border-color: #ccc;
		border-bottom: 1px solid #fff;
		margin-bottom: -1px;
	}

	.tab-panel {
		padding: 30px 0;
		border-top: 1px solid #ccc;
	}


</style>


<div class="clearfix"></div>

<!-- ================ Start Page Title ======================= -->
<section class="title-transparent page-title" style="background:url({{url('public/assets/design')}}/images/title-bg.jpg);">
	<div class="container">
		<div class="title-content" style="margin-top:150px;">
			<h1>Events </h1>
			<div class="breadcrumbs">
				<a href="#">Home</a>
				<span class="gt3_breadcrumb_divider"></span>
				<span class="current">Events </span>
			</div>
		</div>
	</div>
</section>

<!-- ================ End Page Title ======================= -->

<section class="gray-bg">
	<div class="container">

		<div class="row">
			<div class="col-md-12">
				<div class="heading" style="margin-top:10px;">
					<h2>See Latest <span>Events</span></h2>
					
				</div>
				<div class="container">

	<div class="tabset">   
		<!-- Tab 1 -->
		<input type="radio" name="tabset" id="tab1" aria-controls="marzen" checked>
		<label for="tab1">Upcoming Events</label>
		<!-- Tab 2 -->
		<input type="radio" name="tabset" id="tab2" aria-controls="rauchbier">
		<label for="tab2">Past Events</label>

		<div class="tab-panels">
			<section id="marzen" class="tab-panel">
				<h2>Upcoming Events</h2>
            <div class="row">
			@foreach ($eventaftertoday as $e)
			<div class="col-md-4 col-sm-6">

				<div class="blog-box blog-grid-box" style="width:330px;">
					<a href="{{url('event-detail/'.$e->id)}}">
						<h4 class="mainlist" style="text-align:center;">{{$e->title}}</h4>
					</a>
					<div class="blog-grid-box-img">
						<a href="{{url('event-detail/'.$e->id)}}">
							<img src="{{$e->image_url}}" style="width:358px;height:264px;" class="img-responsive" alt="" />
						</a>
					</div>

					<div class="blog-grid-box-content">
						<div class="blog-avatar text-center" style="margin-top:5px;">
							<img src="assets/user-1.png" class="img-responsive" alt="" />
							<!-- <p><strong>By</strong> <span class="theme-cl">Adam Khiwak</span></p> -->
						</div>

						<i class="fa-duotone fa-calendar-days"></i>

						<h5>Date:{{ date('d-m-Y', strtotime($e->datee)) }} Time:{{$e->time}} </h5>


						<!-- <a href="blog-detail.html" class="theme-cl" title="Read More..">Continue...</a> -->
					</div>
					<div class="col-md-12" style="margin-bottom:20px;">
						<div class="col-md-6">
							<a href="{{$e->form}}" targer="_blank"><button class="btn btn-primary" style="background-color:	#da222a;" type="button">Register</button></a>
						</div>
						<div class="col-md-6">
							<a href="{{url('event-detail/'.$e->id)}}"><button class="btn btn-primary" style="background-color:#da222a;" type="button">Read More</button></a>
						</div>
					</div>    
				</div> 
			</div>  
			@endforeach

		 </div>

			</section>
			<section id="rauchbier" class="tab-panel">
				<h2>Past Events</h2>
	
			@foreach ($eventbeforetoday as $e)
			<div class="col-md-4 col-sm-6">

				<div class="blog-box blog-grid-box"  style="width:330px;">
					<a href="{{url('event-detail/'.$e->id)}}">
						<h4 class="mainlist" style="text-align:center;">{{$e->title}}</h4>
					</a>
					<div class="blog-grid-box-img">
						<a href="{{url('event-detail/'.$e->id)}}">
							<img src="{{$e->image_url}}" style="width:358px;height:264px;;" class="img-responsive" alt="" />
						</a>
					</div>

					<div class="blog-grid-box-content">
						<div class="blog-avatar text-center" style="margin-top:5px;">
							<img src="assets/user-1.png" class="img-responsive" alt="" />
							<!-- <p><strong>By</strong> <span class="theme-cl">Adam Khiwak</span></p> -->
						</div>

						<i class="fa-duotone fa-calendar-days"></i>

						<h5>Date:{{ date('d-m-Y', strtotime($e->datee)) }} Time:{{$e->time}} </h5>


						<!-- <a href="blog-detail.html" class="theme-cl" title="Read More..">Continue...</a> -->
					</div>
					<div class="col-md-12" style="margin-bottom:20px;">
						<div class="col-md-6">
							<a href="{{$e->form}}" targer="_blank"><button class="btn btn-primary" style="background-color: #da222a;" type="button">Register</button></a>
						</div>
						<div class="col-md-6">
							<a href="{{url('event-detail/'.$e->id)}}"><button class="btn btn-primary" style="background-color: #da222a;" type="button">Read More</button></a>
						</div>
					</div>
				</div>
			</div>
			@endforeach

	
			</section>
		</div>
	</div>

</div>
			</div>
		</div>

		
		</div>

	</div>
</section>


@endsection


@section('js')
@endsection