@php
$sitesetting=\App\Model\Sitesetting::first();
@endphp
@extends('user.layouts.app')
@section('metapart')
<meta name="description" content="{{ $sitesetting->meta_desc }}">
<meta name="keywords" content="{{$sitesetting->meta_tag}}">

<meta name="twitter:card" content="summary">
<meta name="twitter:creator" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:description" content="{{ $sitesetting->meta_desc }}">
<meta name="twitter:image" content="{{$sitesetting->image_url}}">
<meta name="twitter:site" content="{{ str_replace(' ','','@'.$sitesetting->comp_name) }}">
<meta name="twitter:title" content="{{$sitesetting->comp_name}}">
<meta name="twitter:url" content="{{ url('/') }}" />

<meta property="og:description" content="{{ $sitesetting->meta_desc }}">
<meta property="og:image" content="{{ $sitesetting->image_url }}">
<meta property="og:image:height" content="630">
<meta property="og:image:width" content="1200">
<meta property="og:image:secure_url" content="{{$sitesetting->image_url}}">
<meta property="og:image:type" content="image/jpg">
<meta property="og:title" content="{{$sitesetting->comp_name}}">
<meta property="og:type" content="website">
<meta property="og:url" content="{{ url('/') }}">
@endsection
@section('pagetitle')
<title>{{$sitesetting->comp_name}} | Our Team</title>
@endsection
@section('body') 
    
 
        <!-- ================ Start Page Title ======================= -->
        <section class="title-transparent page-title" style="background:url({{url('public/assets/design')}}/images/title-bg.jpg);">
            <div class="container">
                <div class="title-content" style="margin-top:150px;">
                    <h1>Our Team</h1>
                    <div class="breadcrumbs">
                        <a href="{{ url('/') }}">Home</a>
                        <span class="gt3_breadcrumb_divider"></span>
                        <span class="current">Our Team</span>
                    </div>
                </div>
            </div>
        </section>
        <div class="clearfix"></div>
        <!-- ================ End Page Title ======================= -->

        <!-- ================ Start Category Style 1 ======================= -->
        <section>
            <div class="container">
@foreach($teams as $te)
                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback01.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="javascript::void(0)" title="author"><img src="{{ $te->image_url }}"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="javascript::void(0)" title="author">{{ $te->name }}</a></h4>
                                    <ul>
                                        <li>{{ $te->post }} ({{ $te->year }})</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>{{ $te->business_classification }}</p>
                            </div>
                        </div>
                    </div>
                </div>
				
			@endforeach
            <?php /*
                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback02.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}img/team2.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback03.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team-3.png"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback04.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="img/team1.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback05.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team2.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback06.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team-3.png"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback01.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team1.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback02.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team2.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback03.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team-3.png"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback04.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team1.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback05.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team2.jpg"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Single top author -->
                <div class="col-md-4 col-sm-6">
                    <div class="tp-author-box">

                        <div class="author-cover-img">
                            <img src="{{ url('public/assets/user')}}/img/ourteamback06.jpg" class="img-responsive" alt="">
                        </div>

                        <div class="tp-author-detail-wrapper">
                            <div class="tp-author-detail-box">
                                <div class="tp-author">
                                    <a href="author-detail.html" title="author"><img src="{{ url('public/assets/user')}}/img/team-3.png"
                                            class="img-responsive " alt=""></a>
                                </div>
                                <div class="tp-author-header">
                                    <h4><a href="author-detail.html" title="author">Eliza Veriliaza</a></h4>
                                    <ul>
                                        <li>loream ipsum</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="tp-author-basic-info">
                                <p>loream ipsum loream ipsum loream ipsum loream ipsum loream ipsum</p>
                            </div>
                        </div>
                    </div>
                </div>
			        */	?>

            </div>
        </section>
		
		
@endsection