<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/clearall', function () {
    Artisan::call('cache:clear');
	Artisan::call('config:cache');
    Artisan::call('config:clear');
    Artisan::call('view:clear');
    Artisan::call('route:clear');
    return '<h1>All values cleared</h1>';
});
Route::get('/foo', function () {
	Artisan::call('storage:link');
	return '<h1>The [public/storage] directory has been linked.</h1>';
});

Route::group(['prefix' => 'user'], function () {
	
	
  Route::get('/', 'UserAuth\LoginController@showLoginForm');
  Route::get('/login', 'UserAuth\LoginController@showLoginForm');
  Route::post('/login', 'UserAuth\LoginController@login');
  Route::match(['post','get'],'/logout', 'UserAuth\LoginController@logout');

  /*Route::get('/register', 'UserAuth\RegisterController@showRegistrationForm');
  Route::post('/register', 'UserAuth\RegisterController@register');*/

  Route::post('/password/email', 'UserAuth\ForgotPasswordController@sendResetLinkEmail');
  Route::post('/password/reset', 'UserAuth\ResetPasswordController@reset');
  Route::get('/password/reset', 'UserAuth\ForgotPasswordController@showLinkRequestForm');
  Route::get('/password/reset/{token}', 'UserAuth\ResetPasswordController@showResetForm');
});   

Route::get('/', function () {
    return view('welcome');
});

Route::get('/login', 'UserAuth\LoginController@showLoginForm')->name('login');
Route::group(['prefix' => 'admin'], function () {
  Route::get('/', 'AdminAuth\LoginController@showLoginForm');
  Route::get('/login', 'AdminAuth\LoginController@showLoginForm');
  Route::post('/login', 'AdminAuth\LoginController@login');
  Route::match(['post','get'],'/logout', 'AdminAuth\LoginController@logout');

  /*Route::get('/register', 'AdminAuth\RegisterController@showRegistrationForm');
  Route::post('/register', 'AdminAuth\RegisterController@register');*/

  Route::post('/password/email', 'AdminAuth\ForgotPasswordController@sendResetLinkEmail');
  Route::post('/password/reset', 'AdminAuth\ResetPasswordController@reset');
  Route::get('/password/reset', 'AdminAuth\ForgotPasswordController@showLinkRequestForm');
  Route::get('/password/reset/{token}', 'AdminAuth\ResetPasswordController@showResetForm');
});

/*Route::group(['prefix' => 'user'], function () {
  Route::get('/login', 'UserAuth\LoginController@showLoginForm')->name('login');
  Route::post('/login', 'UserAuth\LoginController@login');
  Route::post('/logout', 'UserAuth\LoginController@logout')->name('logout');

  Route::get('/register', 'UserAuth\RegisterController@showRegistrationForm')->name('register');
  Route::post('/register', 'UserAuth\RegisterController@register');

  Route::post('/password/email', 'UserAuth\ForgotPasswordController@sendResetLinkEmail')->name('password.request');
  Route::post('/password/reset', 'UserAuth\ResetPasswordController@reset')->name('password.email');
  Route::get('/password/reset', 'UserAuth\ForgotPasswordController@showLinkRequestForm')->name('password.reset');
  Route::get('/password/reset/{token}', 'UserAuth\ResetPasswordController@showResetForm');
});*/

Route::resource('/test', 'TestController');




Route::get('/', 'UserAuth\HomeController@home');
Route::get('/inquiry', 'UserAuth\HomeController@inquiry');
Route::post('/saveinquiry', 'UserAuth\BookingController@saveinquiry');
Route::get('/booking', 'UserAuth\HomeController@booking');
/*Route::get('/category/{name?}', 'UserAuth\CategoryController@category');*/

/*Route::get('/gallery', 'UserAuth\GalleryController@gallery');
Route::get('/product/{name?}', 'UserAuth\ProductController@product');
Route::get('/productlist/{name?}', 'UserAuth\CategoryController@productlist');
Route::get('/product-detail/{name?}', 'UserAuth\ProductController@productdetail'); */

/*Route::get('/service', 'UserAuth\ServiceController@service');
Route::get('/ourteam', 'UserAuth\HomeController@ourteam');
Route::get('/single-service', 'UserAuth\ServiceController@singleservice');
Route::get('/categorylist', 'UserAuth\CategoryController@categorylist');
Route::get('/brochure', 'UserAuth\HomeController@brochure');
Route::get('/events', 'UserAuth\HomeController@events');
Route::get('/addlisting', 'UserAuth\HomeController@addlisting');
Route::get('/event-detail/{id?}', 'UserAuth\HomeController@event_detail');
Route::post('/eventapplystore','UserAuth\HomeController@eventapplystore');
Route::post('/userstore','UserAuth\HomeController@userstore'); */


  
/*Route::get('/companylist','UserAuth\CompanyController@companylist');
Route::get('/company-detail', 'UserAuth\CompanyController@company_detail');  */



Route::post('/getflighttime', 'UserAuth\HomeController@getflighttime');
Route::post('/getflightbyroute', 'UserAuth\HomeController@getflightbyroute');

Route::get('/getcabamount', 'UserAuth\HomeController@getcabamount');
Route::post('/getamount_cabbytype', 'UserAuth\HomeController@getamount_cabbytype');
Route::post('/getdiscount', 'UserAuth\HomeController@getdiscount');

Route::get('/cancellation-and-refund-policy', 'UserAuth\HomeController@cancellation');


Route::post('/savebooking', 'UserAuth\BookingController@savebooking');
Route::post('/validateAndSaveBooking', 'UserAuth\BookingController@validateAndSaveBooking'); 
Route::post('/onlinepay', 'UserAuth\BookingController@onlinepay'); 
Route::post('/checkpincode', 'UserAuth\PincodeController@checkpincode'); 

Route::get('/terms-and-condition','UserAuth\HomeController@terms');
Route::get('/privacy-policy','UserAuth\HomeController@privacy');
Route::get('/feedback','UserAuth\HomeController@feedback');
Route::post('pickupchangetime','UserAuth\HomeController@pickupchangetime');
// Route::post('razorpay/webh','UserAuth\RazorpayController@razorpay_webh');
